# -*- coding: utf-8 -*-
#alphabetisch sortieren, damit das ganze uebersichtlicher bleibt
from Components.ActionMap import ActionMap
from Components.Label import Label
from Components.MenuList import MenuList
from Components.MultiContent import MultiContentEntryText, MultiContentEntryPixmap, MultiContentEntryPixmapAlphaTest, MultiContentEntryPixmapAlphaBlend
from Components.Pixmap import Pixmap
from string import find
from Plugins.Plugin import PluginDescriptor
from re import sub 
from Screens.Screen import Screen
from Tools.Directories import fileExists
from twisted.web import client, error
from twisted.web.client import getPage
from enigma import eListboxPythonMultiContent, eListbox, eTimer, gFont, RT_HALIGN_LEFT, RT_HALIGN_RIGHT, RT_HALIGN_CENTER, RT_WRAP, loadPNG

import urllib, re


############
### BuLi ###
############

#eigener Eintrag fuer eigene Liste
class BuLiTabList(MenuList):
	def __init__(self, list):
		MenuList.__init__(self, list, False, eListboxPythonMultiContent)
		self.l.setFont(0, gFont("Regular", 18))
		self.l.setItemHeight(20)

def BuLiTabListEntry(platz_aktuell, platz_alt, team, spiele, siege, remis, niederlagen, torverhaeltnis, tordifferenz, punkte, logoverein, tendenz, button, ln3, ln4, ln5, ln7, ln15, ln16):
	res = [ (platz_aktuell, platz_alt, team, spiele, siege, remis, niederlagen, torverhaeltnis, tordifferenz, punkte, logoverein, tendenz, button, ln3, ln4, ln5, ln7, ln15, ln16) ]
	teamlogo = team.replace('','ue').replace('','oe').replace('','ae')
	logoverein = logoverein.replace('.gif','')
	nr = '0'+platz_aktuell
	png1 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/%s.png" %(button)
	png2 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/%s.png" %(logoverein)
	png3 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/%s.png" %(tendenz)
	line = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/line.png"
	if fileExists(png1):
		res.append(MultiContentEntryPixmapAlphaTest(pos=(10, 0), size=(30, 20), png=loadPNG(png1)))
		res.append(MultiContentEntryPixmapAlphaTest(pos=(755, 0), size=(30, 20), png=loadPNG(png1)))
	if fileExists(png2):
		res.append(MultiContentEntryPixmapAlphaTest(pos=(105, 0), size=(20, 20), png=loadPNG(png2)))
	if fileExists(png3):
		res.append(MultiContentEntryPixmapAlphaTest(pos=(81, 0), size=(20, 20), png=loadPNG(png3)))
	if nr in (str(ln3), str(ln4), str(ln5), str(ln7), str(ln15), str(ln16)):
		res.append(MultiContentEntryPixmapAlphaTest(pos=(10, 20), size=(775, 1), png=loadPNG(line)))
	res.append(MultiContentEntryText(pos=(2, 0), size=(50, 20), font=0, text=platz_aktuell, flags=RT_HALIGN_CENTER))
	res.append(MultiContentEntryText(pos=(36, 0), size=(50, 20), font=0, text=platz_alt, flags=RT_HALIGN_CENTER))
	res.append(MultiContentEntryText(pos=(130, 0), size=(250, 21), font=0, text=team))
	res.append(MultiContentEntryText(pos=(410, 0), size=(50, 20), font=0, text=spiele, flags=RT_HALIGN_RIGHT))
	res.append(MultiContentEntryText(pos=(460, 0), size=(50, 20), font=0, text=siege, flags=RT_HALIGN_RIGHT))
	res.append(MultiContentEntryText(pos=(510, 0), size=(50, 20), font=0, text=remis, flags=RT_HALIGN_RIGHT))
	res.append(MultiContentEntryText(pos=(560, 0), size=(50, 20), font=0, text=niederlagen, flags=RT_HALIGN_RIGHT))
	res.append(MultiContentEntryText(pos=(634, 0), size=(50, 20), font=0, text=torverhaeltnis, flags=RT_HALIGN_CENTER))
	res.append(MultiContentEntryText(pos=(680, 0), size=(50, 20), font=0, text=tordifferenz, flags=RT_HALIGN_RIGHT))
	res.append(MultiContentEntryText(pos=(746, 0), size=(50, 20), font=0, text=punkte, flags=RT_HALIGN_CENTER))
	return res

#eigene Liste basierend auf MenuList
class MatchList(MenuList):
	def __init__(self, list):
		MenuList.__init__(self, list, False, eListboxPythonMultiContent)
		self.l.setFont(0, gFont("Regular", 18))
		self.l.setFont(1, gFont("Regular", 18))
		self.l.setItemHeight(45)

#eigener Eintrag fuer eigene Liste
def MatchListEntry(match, resultat, datum, uhrzeit, logo_heim, logo_gast, status):
	res = [ (match, resultat, datum, uhrzeit, logo_heim, logo_gast, status) ]
	png = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/match/%s.png" %(logo_heim)
	png2 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/match/%s.png" %(logo_gast)
	live = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/live.png"
	if fileExists(png):
		res.append(MultiContentEntryPixmapAlphaTest(pos=(160, 5), size=(30, 30), png=loadPNG(png)))
	if fileExists(png2):
		res.append(MultiContentEntryPixmapAlphaTest(pos=(200, 5), size=(30, 30), png=loadPNG(png2)))
	if status == "yes":
		res.append(MultiContentEntryPixmapAlphaTest(pos=(230, 10), size=(25, 25), png=loadPNG(live)))
	res.append(MultiContentEntryText(pos=(5, 0), size=(200, 22), font=1, text=datum, flags=RT_HALIGN_LEFT))
	res.append(MultiContentEntryText(pos=(5, 20), size=(200, 20), font=1, text=uhrzeit, flags=RT_HALIGN_LEFT))
	res.append(MultiContentEntryText(pos=(230, 0), size=(550, 22), font=0, text=match, flags=RT_HALIGN_CENTER))
	res.append(MultiContentEntryText(pos=(230, 20), size=(550, 20), font=0, text=resultat, flags=RT_HALIGN_CENTER))
	return res


############################
### BuLi2 & andere Ligen ###
############################

class l2List(MenuList):
	def __init__(self, list):
		MenuList.__init__(self, list, False, eListboxPythonMultiContent)
		self.l.setFont(0, gFont("Regular", 18))
		self.l.setFont(1, gFont("Regular", 18))
		self.l.setItemHeight(45)

#eigener Eintrag fuer eigene Liste
def l2Entry(match, resultat, datum, uhrzeit, logo_heim, logo_gast, status):
	res = [ (match, resultat, datum, uhrzeit, logo_heim, logo_gast, status) ]
	png = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/match/%s.png" %(logo_heim)
	png2 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/match/%s.png" %(logo_gast)
	live = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/live.png"
	if fileExists(png):
		res.append(MultiContentEntryPixmapAlphaTest(pos=(160, 5), size=(30, 30), png=loadPNG(png)))
	if fileExists(png2):
		res.append(MultiContentEntryPixmapAlphaTest(pos=(200, 5), size=(30, 30), png=loadPNG(png2)))
	if status == "yes":
		res.append(MultiContentEntryPixmapAlphaTest(pos=(230, 10), size=(25, 25), png=loadPNG(live)))
	res.append(MultiContentEntryText(pos=(5, 0), size=(200, 22), font=1, text=datum, flags=RT_HALIGN_LEFT))
	res.append(MultiContentEntryText(pos=(5, 20), size=(200, 20), font=1, text=uhrzeit, flags=RT_HALIGN_LEFT))
	res.append(MultiContentEntryText(pos=(230, 0), size=(550, 22), font=0, text=match, flags=RT_HALIGN_CENTER))
	res.append(MultiContentEntryText(pos=(230, 20), size=(550, 20), font=0, text=resultat, flags=RT_HALIGN_CENTER))
	return res

class BuLi2TabList(MenuList):
	def __init__(self, list):
		MenuList.__init__(self, list, False, eListboxPythonMultiContent)
		self.l.setFont(0, gFont("Regular", 18))
		self.l.setItemHeight(20)

#eigener Eintrag fuer eigene Liste
def BuLi2TabListEntry(platz_aktuell, platz_alt, team, spiele, siege, remis, niederlagen, torverhaeltnis, tordifferenz, punkte, logoverein, tendenz, button, ln1, ln2, ln3, ln4, ln5, ln6, ln14, ln15, ln16, ln17):
	res = [ (platz_aktuell, platz_alt, team, spiele, siege, remis, niederlagen, torverhaeltnis, tordifferenz, punkte, logoverein, tendenz, button, ln1, ln2, ln3, ln4, ln5, ln6, ln14, ln15, ln16, ln17) ]
	teamlogo = team.replace('','ue').replace('','oe').replace('','ae')
	logoverein = logoverein.replace('.gif','')
	nr = '0'+platz_aktuell
	png1 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/%s.png" %(button)
	png2 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/%s.png" %(logoverein)
	png3 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/%s.png" %(tendenz)
	line = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/line.png"
	if fileExists(png1):
		res.append(MultiContentEntryPixmapAlphaTest(pos=(10, 0), size=(30, 20), png=loadPNG(png1)))
		res.append(MultiContentEntryPixmapAlphaTest(pos=(755, 0), size=(30, 20), png=loadPNG(png1)))
	if fileExists(png2):
		res.append(MultiContentEntryPixmapAlphaTest(pos=(105, 0), size=(20, 20), png=loadPNG(png2)))
	if fileExists(png3):
		res.append(MultiContentEntryPixmapAlphaTest(pos=(81, 0), size=(20, 20), png=loadPNG(png3)))
	if nr in (str(ln1), str(ln2), str(ln3), str(ln4), str(ln5), str(ln6), str(ln14), str(ln15), str(ln16), str(ln17)):
		res.append(MultiContentEntryPixmapAlphaTest(pos=(10, 20), size=(775, 1), png=loadPNG(line)))
	res.append(MultiContentEntryText(pos=(2, 0), size=(50, 20), font=0, text=platz_aktuell, flags=RT_HALIGN_CENTER))
	res.append(MultiContentEntryText(pos=(36, 0), size=(50, 20), font=0, text=platz_alt, flags=RT_HALIGN_CENTER))
	res.append(MultiContentEntryText(pos=(130, 0), size=(250, 21), font=0, text=team))
	res.append(MultiContentEntryText(pos=(410, 0), size=(50, 20), font=0, text=spiele, flags=RT_HALIGN_RIGHT))
	res.append(MultiContentEntryText(pos=(460, 0), size=(50, 20), font=0, text=siege, flags=RT_HALIGN_RIGHT))
	res.append(MultiContentEntryText(pos=(510, 0), size=(50, 20), font=0, text=remis, flags=RT_HALIGN_RIGHT))
	res.append(MultiContentEntryText(pos=(560, 0), size=(50, 20), font=0, text=niederlagen, flags=RT_HALIGN_RIGHT))
	res.append(MultiContentEntryText(pos=(634, 0), size=(50, 20), font=0, text=torverhaeltnis, flags=RT_HALIGN_CENTER))
	res.append(MultiContentEntryText(pos=(680, 0), size=(50, 20), font=0, text=tordifferenz, flags=RT_HALIGN_RIGHT))
	res.append(MultiContentEntryText(pos=(746, 0), size=(50, 20), font=0, text=punkte, flags=RT_HALIGN_CENTER))
	return res


################
### Formel 1 ###	
################

#eigene Liste basierend auf MenuList
class f1List(MenuList):
	def __init__(self, list):
			MenuList.__init__(self, list, False, eListboxPythonMultiContent)
			self.l.setFont(0, gFont("Regular", 18))
			self.l.setFont(1, gFont("Regular", 18))
			self.l.setItemHeight(20)

#eigener Eintrag fuer eigene Liste
def f1ListEntry(pos, racer, pkt, aus, mal, chn, bhr, esp, mon, can, eur, gbr, ger, hun, bel, ita, sin, jpn, kor, ind, abd, usa, bra, button):
			res = [ (pos, racer, pkt, aus, mal, chn, bhr, esp, mon, can, eur, gbr, ger, hun, bel, ita, sin, jpn, kor, ind, abd, usa, bra, button) ]
			res.append(MultiContentEntryPixmapAlphaTest(pos=(346, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/AUS.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(368, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/MAL.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(390, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/CHN.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(412, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/BHR.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(434, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/ESP.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(456, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/MON.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(478, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/CAN.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(500, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/EUR.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(522, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/GBR.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(544, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/GER.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(566, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/HUN.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(588, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/BEL.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(610, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/ITA.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(632, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/SIN.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(654, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/JPN.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(676, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/KOR.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(698, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/IND.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(720, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/ABD.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(742, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/USA.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(764, 2), size=(16, 16), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/BRA.png")))
			button = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/%s.png" %(button)
			if fileExists(button):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(5, 0), size=(30, 20), png=loadPNG(button)))
						res.append(MultiContentEntryPixmapAlphaTest(pos=(288, 0), size=(45, 20), png=loadPNG(button)))
			rflag = racer.replace(' ','_')
			#print rflag
			flag = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/%s.png" %(rflag)
			if fileExists(flag):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(246, 0), size=(30, 20), png=loadPNG(flag)))
			logo = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/team/%s.png" %(rflag)
			if fileExists(logo):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(220, 0), size=(50, 20), png=loadPNG(logo)))
			res.append(MultiContentEntryText(pos=(0, 0), size=(40, 20), font=1, text=str(pos), flags=RT_HALIGN_CENTER))
			res.append(MultiContentEntryText(pos=(45, 0), size=(200, 21), font=1, text=racer, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(285, 0), size=(50, 20), font=1, text=pkt, flags=RT_HALIGN_CENTER))
			res.append(MultiContentEntryText(pos=(340, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=aus, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(362, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=mal, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(384, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=chn, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(406, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=bhr, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(428, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=esp, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(450, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=mon, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(472, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=can, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(494, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=eur, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(516, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=gbr, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(538, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=ger, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(560, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=hun, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(582, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=bel, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(604, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=ita, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(626, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=sin, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(648, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=jpn, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(670, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=kor, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(692, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=ind, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(714, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=abd, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(736, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=usa, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(758, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=bra, flags=RT_HALIGN_RIGHT))
			return res

class f1lList(MenuList):
        def __init__(self, list):
                MenuList.__init__(self, list, False, eListboxPythonMultiContent)
                self.l.setFont(0, gFont("Regular", 18))
                self.l.setFont(1, gFont("Regular", 18))
                self.l.setItemHeight(20)

#eigener Eintrag fuer eigene Liste
def f1lListEntry(pos, racer, team, blap, rlap, stopps, inout, button):
				res = [ (pos, racer, team, blap, rlap, stopps, inout, button) ]
				rflag = racer.replace('. ','_').replace(' ','_')
				flag = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/%s.png" %(rflag)
				button = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/%s.png" %(button)        
				if fileExists(flag):
							res.append(MultiContentEntryPixmapAlphaTest(pos=(195, 0), size=(30, 20), png=loadPNG(flag)))
				if fileExists(button):
							res.append(MultiContentEntryPixmapAlphaTest(pos=(5, 0), size=(30, 20), png=loadPNG(button)))
				res.append(MultiContentEntryText(pos=(0, 0), size=(40, 20), font=1, text=pos, flags=RT_HALIGN_CENTER))
				res.append(MultiContentEntryText(pos=(45, 0), size=(160, 21), font=1, text=racer, flags=RT_HALIGN_LEFT))
				res.append(MultiContentEntryText(pos=(255, 0), size=(120, 21), font=1, text=team, flags=RT_HALIGN_LEFT))
				res.append(MultiContentEntryText(pos=(390, 0), size=(100, 20), font=1, text=blap, flags=RT_HALIGN_LEFT))
				res.append(MultiContentEntryText(pos=(495, 0), size=(90, 20), font=1, text=rlap, flags=RT_HALIGN_LEFT))
				res.append(MultiContentEntryText(pos=(580, 0), size=(55, 20), font=1, text=stopps, flags=RT_HALIGN_CENTER))
				res.append(MultiContentEntryText(pos=(640, 0), size=(140, 20), font=1, text=inout, flags=RT_HALIGN_CENTER))
				return res

#eigener Eintrag fuer eigene Liste
def f1qListEntry(pos, racer, team, zeit, rck, rdn, button):
				res = [ (pos, racer, team, zeit, rck, rdn, button) ]
				rflag = racer.replace('. ','_').replace(' ','_')
				tlogo = team.replace(' ','_')
				flag = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/%s.png" %(rflag)
				logo = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/car/%s.png" %(tlogo)
				button = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/logos/%s.png" %(button)
				if fileExists(flag):
							res.append(MultiContentEntryPixmapAlphaTest(pos=(235, 0), size=(30, 20), png=loadPNG(flag)))
				if fileExists(logo):
							res.append(MultiContentEntryPixmapAlphaTest(pos=(296, 3), size=(63, 15), png=loadPNG(logo)))	
				if fileExists(button):
							res.append(MultiContentEntryPixmapAlphaTest(pos=(5, 0), size=(30, 20), png=loadPNG(button)))
				res.append(MultiContentEntryText(pos=(0, 0), size=(40, 20), font=1, text=pos, flags=RT_HALIGN_CENTER))
				res.append(MultiContentEntryText(pos=(45, 0), size=(160, 21), font=1, text=racer, flags=RT_HALIGN_LEFT))
				res.append(MultiContentEntryText(pos=(388, 0), size=(110, 21), font=1, text=team, flags=RT_HALIGN_LEFT))
				res.append(MultiContentEntryText(pos=(515, 0), size=(100, 20), font=1, text=zeit, flags=RT_HALIGN_CENTER))
				res.append(MultiContentEntryText(pos=(616, 0), size=(100, 20), font=1, text=rck, flags=RT_HALIGN_CENTER))
				res.append(MultiContentEntryText(pos=(710, 0), size=(70, 20), font=1, text=rdn, flags=RT_HALIGN_CENTER))
				return res

#eigener Eintrag fuer eigene Liste
def f1startListEntry(pos1, driver1, team1, flag1, logo1, pos2, driver2, team2, flag2, logo2):
			res = [ (pos1, driver1, team1, flag1, logo1, pos2, driver2, team2, flag2, logo2) ]
			car1 = team1.replace(' ','_')
			car2 = team2.replace(' ','_')
			png1 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/racer/track_no.png"
			png2 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/racer/%s.png" %(logo1)
			png3 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/%s.png" %(flag1)
			png4 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/car/medium/%s.png" %(car1)
			png5 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/racer/track_no.png"
			png6 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/racer/%s.png" %(logo2)
			png7 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/%s.png" %(flag2)
			png8 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/car/medium/%s.png" %(car2)
			if fileExists(png1):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(38, 0), size=(31, 27), png=loadPNG(png1)))
			if fileExists(png2):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(69, 0), size=(35, 40), png=loadPNG(png2)))
			if fileExists(png3):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(111, 5), size=(16, 16), png=loadPNG(png3)))
			if fileExists(png4):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(253, 0), size=(105, 25), png=loadPNG(png4)))
			if fileExists(png5):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(428, 14), size=(31, 27), png=loadPNG(png5)))
			if fileExists(png6):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(459, 0), size=(35, 40), png=loadPNG(png6)))
			if fileExists(png7):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(501, 5), size=(16, 16), png=loadPNG(png7)))
			if fileExists(png8):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(610, 15), size=(105, 25), png=loadPNG(png8)))
			res.append(MultiContentEntryText(pos=(33, 0), size=(40, 20), font=1, text=pos1, flags=RT_HALIGN_CENTER))
			res.append(MultiContentEntryText(pos=(134, 0), size=(120, 21), font=1, text=driver1, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(134, 17), size=(125, 20), font=16, text=team1, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(423, 14), size=(40, 20), font=1, text=pos2, flags=RT_HALIGN_CENTER))
			res.append(MultiContentEntryText(pos=(524, 0), size=(125, 21), font=1, text=driver2, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(524, 17), size=(120, 20), font=16, text=team2, flags=RT_HALIGN_LEFT))
			return res

#eigener Eintrag fuer eigene Liste
def f1trackListEntry(number, image, date, place, track, number2, image2, date2, place2, track2):
			res = [ (number, image, date, place, track, number2, image2, date2, place2, track2) ]
			png1 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/track/track_no.png"
			png2 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/track/%s.png" %(image)
			png3 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/track/country_%s.png" %(image)
			png4 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/track/track_no.png"
			png5 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/track/%s.png" %(image2)
			png6 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/track/country_%s.png" %(image2)
			if fileExists(png1):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(25, 0), size=(31, 27), png=loadPNG(png1)))
			if fileExists(png2):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(56, 0), size=(92, 50), png=loadPNG(png2)))
			if fileExists(png3):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(154, 4), size=(16, 16), png=loadPNG(png3)))
			if fileExists(png4):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(420, 0), size=(31, 27), png=loadPNG(png4)))
			if fileExists(png5):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(451, 0), size=(92, 50), png=loadPNG(png5)))
			if fileExists(png6):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(549, 4), size=(16, 16), png=loadPNG(png6)))
			res.append(MultiContentEntryText(pos=(20, 0), size=(40, 20), font=1, text=number, flags=RT_HALIGN_CENTER))
			res.append(MultiContentEntryText(pos=(176, 0), size=(210, 22), font=1, text=place, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(176, 21), size=(230, 20), font=14, text=date, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(176, 34), size=(230, 20), font=14, text=track, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(415, 0), size=(40, 20), font=1, text=number2, flags=RT_HALIGN_CENTER))
			res.append(MultiContentEntryText(pos=(571, 0), size=(210, 22), font=1, text=place2, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(571, 21), size=(230, 20), font=14, text=date2, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(571, 34), size=(230, 20), font=14, text=track2, flags=RT_HALIGN_LEFT))
			return res

#eigener Eintrag fuer eigene Liste
def f1teamListEntry(team, car, motor, teamchef, driver1, driver2, stats1, stats2, t1, t2, t3, t4):
			res = [ (team, car, motor, teamchef, driver1, driver2, stats1, stats2, t1, t2, t3, t4) ]
			teampic = team.replace(' ','_')
			carpic = team.replace(' ','_')
			png1 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/team/big/%s.png" %(teampic)
			png2 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/car/big/%s.png" %(carpic)
			border = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/team/border.png"
			if fileExists(border):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(0, 0), size=(785, 1), png=loadPNG(border)))
			if fileExists(png1):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(0, 1), size=(120, 48), png=loadPNG(png1)))
			if fileExists(png2):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(290, 48), size=(140, 34), png=loadPNG(png2)))
			res.append(MultiContentEntryText(pos=(130, 0), size=(240, 25), font=1, text=team, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(130, 22), size=(220, 15), font=14, text=car, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(130, 36), size=(220, 15), font=14, text=motor, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(480, 6), size=(90, 15), font=14, text=str(t1), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(480, 20), size=(90, 15), font=14, text=str(t2), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(480, 48), size=(90, 15), font=14, text=str(t3), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(480, 62), size=(90, 15), font=14, text=str(t4), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(585, 6), size=(200, 15), font=14, text=teamchef, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(585, 20), size=(200, 15), font=14, text=driver1, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(585, 34), size=(200, 15), font=14, text=driver2, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(585, 48), size=(200, 15), font=14, text=stats1, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(585, 62), size=(200, 15), font=14, text=stats2, flags=RT_HALIGN_LEFT))
			return res

#eigener Eintrag fuer eigene Liste
def f1driverListEntry(t1, t2, t3, t4, t5, t6, t7, t8, t9, t10, t11, t12, t13, flag, driver, team, alter, wohnort, groesse, gewicht, titel, starts, siege, podium, poles, fastlaps, outs, points):
			res = [ (t1, t2, t3, t4, t5, t6, t7, t8, t9, t10, t11, t12, t13, flag, driver, team, alter, wohnort, groesse, gewicht, titel, starts, siege, podium, poles, fastlaps, outs, points) ]
			driverpic = driver.replace('. ','_').replace(' ','_')
			teampic = team.replace(' ','_')
			carpic = team.replace(' ','_')
			png1 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/racer/big/%s.png" %(driverpic)
			png2 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/country/%s.png" %(flag)
			png3 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/car/big/%s.png" %(carpic)
			png4 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/team/tiny/%s.png" %(teampic)
			border = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/racer/border.png"
			if fileExists(border):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(315, 82), size=(450, 1), png=loadPNG(border)))
			if fileExists(png1):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(0, 0), size=(73, 83), png=loadPNG(png1)))
			if fileExists(png2):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(80, 4), size=(16, 16), png=loadPNG(png2)))
			if fileExists(png3):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(315, 47), size=(140, 34), png=loadPNG(png3)))
			if fileExists(png4):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(430, 10), size=(25, 10), png=loadPNG(png4)))
			res.append(MultiContentEntryText(pos=(103, 0), size=(170, 25), font=1, text=driver, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(103, 22), size=(70, 15), font=14, text=str(t1), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(103, 36), size=(70, 15), font=14, text=str(t2), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(103, 50), size=(70, 15), font=14, text=str(t3), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(103, 64), size=(70, 15), font=14, text=str(t4), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(315, 22), size=(70, 15), font=14, text=str(t5), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(513, 22), size=(70, 15), font=14, text=str(t6), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(513, 36), size=(70, 15), font=14, text=str(t7), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(513, 50), size=(70, 15), font=14, text=str(t8), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(513, 64), size=(70, 15), font=14, text=str(t9), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(643, 22), size=(70, 15), font=14, text=str(t10), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(643, 36), size=(70, 15), font=14, text=str(t11), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(643, 50), size=(70, 15), font=14, text=str(t12), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(643, 64), size=(70, 15), font=14, text=str(t13), flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(153, 22), size=(100, 15), font=14, text=str(alter), flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(153, 36), size=(100, 15), font=14, text=str(wohnort), flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(153, 50), size=(100, 15), font=14, text=str(groesse), flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(153, 64), size=(100, 15), font=14, text=str(gewicht), flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(355, 22), size=(100, 15), font=14, text=team, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(563, 22), size=(50, 15), font=14, text=str(titel), flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(563, 36), size=(50, 15), font=14, text=str(starts), flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(563, 50), size=(50, 15), font=14, text=str(siege), flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(563, 64), size=(50, 15), font=14, text=str(podium), flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(693, 22), size=(50, 15), font=14, text=str(poles), flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(693, 36), size=(50, 15), font=14, text=str(fastlaps), flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(693, 50), size=(50, 15), font=14, text=str(outs), flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(693, 64), size=(50, 15), font=14, text=str(points), flags=RT_HALIGN_RIGHT))
			return res

#eigener Eintrag fuer eigene Liste
def F1TickerEntry(logo, runde, pic, news):
			res = [ (logo, runde, pic, news) ]
			border = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/ticker/border.png"
			png1 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/ticker/time_no.png"
			png2 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/ticker/%s.png" %(pic)
			logo = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1/ticker/%s.png" %(logo)
			if fileExists(border):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(0, 0), size=(785, 1), png=loadPNG(border)))
			if fileExists(png1):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(0, 1), size=(50, 27), png=loadPNG(png1)))
			if fileExists(logo):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(72, 22), size=(24, 24), png=loadPNG(logo)))
			if fileExists(png2):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(67, 17), size=(35, 35), backcolor=0x200E1018, png=loadPNG(png2)))
			res.append(MultiContentEntryText(pos=(0, 0), size=(50, 20), font=0, text=runde, flags=RT_HALIGN_CENTER))
			res.append(MultiContentEntryText(pos=(120, 4), size=(640, 65), font=14, text=news, flags=RT_WRAP))
			return res


###########
### DTM ###	
###########

class dtmList(MenuList):
	def __init__(self, list):
			MenuList.__init__(self, list, False, eListboxPythonMultiContent)
			self.l.setFont(0, gFont("Regular", 18))
			self.l.setFont(1, gFont("Regular", 18))
			self.l.setItemHeight(20)

def dtmListEntry(pos, racer, pkt, d1, d2, gb, at, d3, d4, d5, d6, nl, es, button, mx):
			res = [ (pos, racer, pkt, d1, d2, gb, at, d3, d4, d5, d6, nl, es, button, mx) ]
			#print pos, racer, pkt, d1, d2, gb, at, d3, d4, d5, d6, nl, es, button, mx
			if mx == "F":
				flag = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/%s.png" %("de")
				if fileExists(flag):
					res.append(MultiContentEntryPixmapAlphaTest(pos=(538, 2), size=(22, 15), png=loadPNG(flag)))
				flag = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/%s.png" %("de")
				if fileExists(flag):				
					res.append(MultiContentEntryPixmapAlphaTest(pos=(560, 2), size=(22, 15), png=loadPNG(flag)))
				flag = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/%s.png" %("gb")
				if fileExists(flag):
					res.append(MultiContentEntryPixmapAlphaTest(pos=(582, 2), size=(22, 15), png=loadPNG(flag)))
				flag = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/%s.png" %("at")
				if fileExists(flag):
					res.append(MultiContentEntryPixmapAlphaTest(pos=(604, 2), size=(22, 15), png=loadPNG(flag)))
				flag = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/%s.png" %("de")
				if fileExists(flag):
					res.append(MultiContentEntryPixmapAlphaTest(pos=(626, 2), size=(22, 15), png=loadPNG(flag)))
				flag = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/%s.png" %("de")
				if fileExists(flag):
					res.append(MultiContentEntryPixmapAlphaTest(pos=(648, 2), size=(22, 15), png=loadPNG(flag)))
				flag = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/%s.png" %("de")
				if fileExists(flag):
					res.append(MultiContentEntryPixmapAlphaTest(pos=(670, 2), size=(22, 15), png=loadPNG(flag)))
				flag = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/%s.png" %("de")
				if fileExists(flag):
					res.append(MultiContentEntryPixmapAlphaTest(pos=(692, 2), size=(22, 15), png=loadPNG(flag)))
				flag = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/%s.png" %("nl")
				if fileExists(flag):
					res.append(MultiContentEntryPixmapAlphaTest(pos=(714, 2), size=(22, 15), png=loadPNG(flag)))
				flag = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/%s.png" %("es")
				if fileExists(flag):
					res.append(MultiContentEntryPixmapAlphaTest(pos=(736, 2), size=(22, 15), png=loadPNG(flag)))
				flag = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/%s.png" %("de")
			button = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/%s.png" %(button)
			if fileExists(button):
				res.append(MultiContentEntryPixmapAlphaTest(pos=(5, 0), size=(30, 20), png=loadPNG(button)))
				res.append(MultiContentEntryPixmapAlphaTest(pos=(483, 0), size=(45, 20), png=loadPNG(button)))
			rflag = racer.replace(' ','_')
			flag = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/%s.png" %(rflag)
			if fileExists(flag):
				res.append(MultiContentEntryPixmapAlphaTest(pos=(42, 4), size=(22, 15), png=loadPNG(flag)))
			res.append(MultiContentEntryText(pos=(0, 0), size=(40, 20), font=1, text=str(pos), flags=RT_HALIGN_CENTER))
			res.append(MultiContentEntryText(pos=(71, 0), size=(390, 21), font=1, text=racer, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(480, 0), size=(50, 20), font=1, text=pkt, flags=RT_HALIGN_CENTER))
			res.append(MultiContentEntryText(pos=(535, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=d1, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(557, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=d2, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(579, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=gb, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(601, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=at, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(623, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=d3, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(645, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=d4, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(667, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=d5, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(689, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=d6, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(711, 0), size=(22, 20), font=1, backcolor=0x200E1018, text=nl, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(733, 0), size=(19, 20), font=1, backcolor=0x200E1018, text=es, flags=RT_HALIGN_RIGHT))
			return res


def dtmtrackListEntry(number, image, date, place, track, number2, image2, date2, place2, track2):
			res = [ (number, image, date, place, track, number2, image2, date2, place2, track2) ]
			png1 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/track_no.png"
			png2 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/%s.png" %(image2)
			png3 = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/dtm/%s.png" %(image)
			if fileExists(png1):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(5, 0), size=(31, 27), png=loadPNG(png1)))
			if fileExists(png2):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(36, 0), size=(40, 40), png=loadPNG(png2)))
			if fileExists(png3):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(86, 5), size=(22, 15), png=loadPNG(png3)))
			res.append(MultiContentEntryText(pos=(0, 0), size=(40, 20), font=1, text=str(number), flags=RT_HALIGN_CENTER))
			res.append(MultiContentEntryText(pos=(118, 0), size=(410, 22), font=1, text=place, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(118, 21), size=(230, 20), font=14, text=date, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(715, 0), size=(35, 22), font=14, text=date2, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(715, 21), size=(15, 22), font=14, text=place2, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(751, 0), size=(45, 22), font=14, text="km", flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(733, 21), size=(45, 22), font=14, text="Runden", flags=RT_HALIGN_LEFT))
			return res


##############
### MotoGP ###
##############

#eigener Eintrag fuer eigene Liste
def MotoListEntry(pos, driver, punkte, qa, es, pt, fr, es2, uk, nl, de, it, us, us2, cz, it2, es3, jp, my, au, es4, button):
			res = [ (pos, driver, punkte, qa, es, pt, fr, es2, uk, nl, de, it, us, us2, cz, it2, es3, jp, my, au, es4, button) ]
			res.append(MultiContentEntryPixmapAlphaTest(pos=(332, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/qa.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(357, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/es.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(382, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/pt.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(407, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/fr.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(432, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/es.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(457, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/uk.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(482, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/nl.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(507, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/de.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(532, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/it.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(557, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/us.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(582, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/us.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(607, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/cz.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(632, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/it.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(657, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/es.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(682, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/jp.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(707, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/my.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(732, 2), size=(23, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/au.png")))
			res.append(MultiContentEntryPixmapAlphaTest(pos=(757, 2), size=(20, 15), png=loadPNG("/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/es.png")))
			button = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/moto/%s.png" %(button)
			if fileExists(button):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(5, 0), size=(30, 20), png=loadPNG(button)))
						res.append(MultiContentEntryPixmapAlphaTest(pos=(275, 0), size=(45, 20), png=loadPNG(button)))
			res.append(MultiContentEntryText(pos=(0, 0), size=(40, 20), font=1, text=pos, flags=RT_HALIGN_CENTER))
			res.append(MultiContentEntryText(pos=(45, 0), size=(200, 21), font=1, text=driver, flags=RT_HALIGN_LEFT))
			res.append(MultiContentEntryText(pos=(272, 0), size=(50, 20), font=1, text=punkte, flags=RT_HALIGN_CENTER))
			res.append(MultiContentEntryText(pos=(327, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=qa, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(352, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=es, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(377, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=pt, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(402, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=fr, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(427, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=es2, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(452, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=uk, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(477, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=nl, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(502, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=de, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(527, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=it, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(552, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=us, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(577, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=us2, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(602, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=cz, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(627, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=it2, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(652, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=es3, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(677, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=jp, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(702, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=my, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(727, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=au, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(752, 0), size=(25, 20), font=1, backcolor=0x200E1018, text=es4, flags=RT_HALIGN_RIGHT))
			return res


###########
### ATP ###
###########

#eigener Eintrag fuer eigene Liste
def ATPTabListEntry(rang, flag, name, tend1, tend2, punkte, button):
			res = [ (rang, flag, name, tend1, tend2, punkte, button) ]
			png = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/atp/%s.png" %(flag)
			button = "/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/atp/%s.png" %(button)
			if fileExists(png):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(60, 4), size=(17, 14), png=loadPNG(png)))
			if fileExists(button):
						res.append(MultiContentEntryPixmapAlphaTest(pos=(10, 0), size=(34, 20), png=loadPNG(button)))
						res.append(MultiContentEntryPixmapAlphaTest(pos=(698, 0), size=(60, 20), png=loadPNG(button)))
			res.append(MultiContentEntryText(pos=(3, 0), size=(50, 20), font=1, text=rang, flags=RT_HALIGN_CENTER))
			res.append(MultiContentEntryText(pos=(85, 0), size=(250, 21), font=1, text=name))
			res.append(MultiContentEntryText(pos=(440, 0), size=(100, 20), font=1, text=tend1, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(535, 0), size=(100, 20), font=1, text=tend2, flags=RT_HALIGN_RIGHT))
			res.append(MultiContentEntryText(pos=(653, 0), size=(100, 20), font=1, text=punkte, flags=RT_HALIGN_RIGHT))
			return res


#########################
class BuLiScreen(Screen):
#########################
	skin= """
		<screen name="SportPortal" position="center,center" size="1012,516" title="Sport Portal v2.1">
			<widget name="menu" position="10,102" size="197,350" enableWrapAround="1" scrollbarMode="showNever" />
			<widget name="menulist" position="217,10" size="785,500" enableWrapAround="1" scrollbarMode="showOnDemand" />
			<ePixmap pixmap="/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/bundesliga.png" position="10,10" size="61,75" zPosition="1" transparent="1" alphatest="on" />
			<ePixmap pixmap="/usr/lib/enigma2/python/Plugins/Extensions/SportPortal/f1.png" position="10,469" size="80,37" zPosition="1" transparent="1" alphatest="on" />
		</screen>"""

	def __init__(self, session, args=0):
		Screen.__init__(self, session)

		self["actions"] = ActionMap(["SetupActions", "ColorActions","EPGSelectActions","DirectionActions", "ColorActions"],
		{
			"ok":			self.ok,
			"cancel":		self.close,
			"prevBouquet":		self.leaveMenu,
			"nextBouquet":		self.returnToMenu,
			"up":			self.up,
			"down":			self.down,
			"left":			self.left,
			"right":		self.right,
			"2":		self.left,
			"4":		self.returnToMenu,
			"5":		self.ok,
			"6":		self.leaveMenu,
			"8":		self.right,
			"blue": self.hideScreen,
		}, -1)

		self.url = "http://fussballdaten.de/bundesliga/"
#		self["ButtonRed"] = Pixmap()
#		self["ButtonRedText"] = Label(_("Exit"))
		self.menu = []
		self.menu = [(_("1. Bundesliga (T)")),
								 (_("1. Bundesliga (M)")),
								 (_("Champions League")),
								 (_("Europa League")),
								 (_("Primera Division (T)")),
								 (_("Primera Division (M)")),
								 (_("Premier League (T)")),
								 (_("Premier League (M)")),
								 (_("Serie A (T)")),
								 (_("Serie A (M)")),
								 (_("Ligue 1 (T)")),
								 (_("Ligue 1 (M)")),
								 (_("Sper Lig (T)")),
								 (_("Sper Lig (M)")),
								 (_("2. Bundesliga (T)")),
								 (_("2. Bundesliga (M)")),
								 (_("3. Liga (T)")),
								 (_("3. Liga (M)")),
								 (_("RegLiga Nord (T)")),
								 (_("RegLiga Nord (M)")),
								 (_("RegLiga NordOst (T)")),
								 (_("RegLiga NordOst (M)")),
								 (_("RegLiga West (T)")),
								 (_("RegLiga West (M)")),
								 (_("RegLiga SdWest (T)")),
								 (_("RegLiga SdWest (M)")),
								 (_("RegLiga Bayern (T)")),
								 (_("RegLiga Bayern (M)")),
								 (_("F1 Tracks")),
								 (_("F1 WM-Team")),
								 (_("F1 WM-Fahrer")),
								 (_("F1 *Ticker*")),
								 (_("F1 Live Position")),
								 (_("F1 Starting Grid")),
								 (_("F1 Qualifying")),
								 (_("F1 3. Training")),
								 (_("F1 2. Training")),
								 (_("F1 1. Training")),
								 (_("F1 Fastest Lap")),
								 (_("F1 Team Statistik")),
								 (_("F1 Fahrer Statistik")),
								 (_(" ")),
								 (_("DTM Tracks")),
								 (_("DTM WM-Team")),
								 (_("DTM WM-Fahrer")),
								 (_("DTM Hersteller")),
								 (_("MotoGP WM-Team")),
								 (_("MotoGP WM-Fahrer")),
								 (_("Tennis ATP (T)")),
								 (_("Tennis WTA (T)"))]
		self["menu"] = MenuList(self.menu)
		self.menulist = []
		self["menulist"] = MatchList([])
		#self.view = "matches"
		self.currentList = "menu"
		#self.switchView()

		self.settings(0)

		self["menulist"].selectionEnabled(0)
		self["menu"].selectionEnabled(1)

		self.updateTimer = eTimer()
		self.updateTimer.callback.append(self.ok)
		self.update_interval = 10000

		self.hideflag = True

	def hideScreen(self):
		if self.hideflag == True:
					self.hideflag = False
					self.hide()
		else:
					self.hideflag = True
					self.show()

	def leaveMenu(self):
		self.currentList = "menulist"
		self["menu"].selectionEnabled(0)
		self["menulist"].selectionEnabled(1)
		
	def returnToMenu(self):
		self.currentList = "menu"
		self["menulist"].selectionEnabled(0)
		self["menu"].selectionEnabled(1)
		
	def settings(self, id):
		self.menulist = []
		
		#Daten holen
		self.url = "http://fussballdaten.de/bundesliga/"
		data = urllib.urlopen(self.url).read()
		selectedEntry = id
		
		#selectedEntry = self["menu"].getSelectedIndex()
		#print self["menu"].getCurrent()


###################################################
### 1. Bundesliga, Champions League, Euro Ligen ###
###################################################

########## 1. Bundeliga (T) ##########
		if selectedEntry == 0:
			#Daten auswerten
			self.url = "http://fussballdaten.de/bundesliga/"
	                data = urllib.urlopen(self.url).read()
			platz = re.findall("<tr.*?<td class=.Platz.*?.>(.*?)</td>", data)
			lplatz = re.findall("<td class=.VPlatz.*>(.*?)</td>", data)
			logoverein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*? src=./bilder/t-vereine/15x15/(.*?)...>", data)
			verein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", data)
			spiele = re.findall("<td class=.Spiele.>(.*?)</td>", data)
			siege = re.findall("<td class=.S.>(.*?)</td>", data)
			unen = re.findall("<td class=.U.>(.*?)</td>", data)
			nieder = re.findall("<td class=.N.>(.*?)</td>", data)
			torver = re.findall("<td class=.Torverhaeltnis.>(.*?)</td>", data)
			diff = re.findall("<td class=.Diff.>(.*?)</td>", data)
			punkte = re.findall("<td class=.Punkte.>(.*?)</td>", data)

			p = "Platz"
			po = ""
			v = "Verein"
			sp = "S"
			sie = "S"
			un = "U"
			nie = "N"
			tor = "Tore"
			dif = "D"
			pkt = "Pkt."
			lv = "L"
			up = "#"
			bt = ""
			ln3 = ""
			ln4 = ""
			ln5 = ""
			ln7 = ""
			ln15 = ""
			ln16 = ""
			self.menulist.append(BuLiTabListEntry(p, po, v, sp, sie, un, nie, tor, dif, pkt, lv, up, bt, ln3, ln4, ln5, ln7, ln15, ln16))

			#Daten an Menuliste uebergeben
			for i in range(18):
					try:
							tx_verein = verein[i].replace('&#160;'," ")
							ok_platz = platz[i].replace('.','')
							ok_lplatz = lplatz[i].replace('.','').replace('(','').replace(')','')
							if ok_platz == ok_lplatz:
								tendenz = "ok"
							elif ok_platz < ok_lplatz:
								tendenz = "up"
							else:
								tendenz = "down"
							self.menulist.append(BuLiTabListEntry(platz[i], lplatz[i], tx_verein, spiele[i], siege[i], unen[i], nieder[i], torver[i], diff[i], punkte[i], logoverein[i], tendenz, "0", "03.", "04.", "05.", "07.", "015.", "016."))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(21)
			self["menulist"].l.setList(self.menulist)


########## 1. Bundeliga (M) ##########
		elif selectedEntry == 1:
			#Daten auswerten
			self.url = "http://fussballdaten.de/bundesliga/"
	                data = urllib.urlopen(self.url).read()
			datum = re.findall("<td class=.Tag.>(.*?)</td>", data)
			uhrzeit = re.findall("<td class=.Uhrzeit.>(.*?)</td>", data)
			heim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", data)
			gast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", data)
			result = re.findall("<td class=.Ergebnis.*?>([0-9\:0-9|&#8213;].*?)</", data)
			live_info = re.findall('<td class=.Kurzinfo(.*?)></td>', data)
			lheim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=./bilder/t-vereine/15x15/(.*?).......></span><a href=.*?>.*?</a></td>", data)
			lgast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=./bilder/t-vereine/15x15/(.*?).......></span><a href=.*?>.*?</a></td>", data)

			for i in range(9):
					try:
							match = "%s vs %s" %(heim[i], gast[i])
							tx_match = match.replace('&#160;'," ")
							tx_datum = datum[i].replace('<i>',"").replace('</i>',"")	
							tx_uhrzeit = uhrzeit[i].replace('&#160;',"--:--")
							tx_result = result[i].replace('&#8213;',"(-:-)").replace('&#160;'," ")
							if re.match(".*?live.*?",live_info[i]):
								self.menulist.append(MatchListEntry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i], lgast[i], "yes"))
							else:
								self.menulist.append(MatchListEntry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i], lgast[i], "no"))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


########## Champions League ##########
		elif selectedEntry == 2:
			#Daten auswerten
			self.url = "http://fussballdaten.de/championsleague/"
			data = urllib.urlopen(self.url).read()

			datum = re.findall("<td class=.Tag.>(.*?)</td>", data)
			uhrzeit = re.findall("<td class=.Uhrzeit.>(.*?)</td>", data)
			heim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", data)
			gast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", data)
			result = re.findall("<td class=.Ergebnis.*?>([0-9\:0-9|&#8213;].*?)</", data)
			live_info = re.findall('<td class=.Kurzinfo(.*?)></td>', data)
			lheim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/)(.*?).......></span><a href=.*?>.*?</a></td>", data)
			lgast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/)(.*?).......></span><a href=.*?>.*?</a></td>", data)
		
			#Daten an Menuliste uebergeben
			idx = 0
			for x in result:
				idx += 1
				
			for i in range(idx):
						try:
									match = "%s vs %s" %(heim[i], gast[i])
									tx_match = match.replace('&#160;'," ")
									tx_datum = datum[i].replace('<i>',"").replace('</i>',"")				
									tx_uhrzeit = uhrzeit[i].replace('&#160;',"--:--")
									tx_result = result[i].replace('&#8213;',"(-:-)").replace('&#160;'," ")
									if re.match(".*?live.*?",live_info[i]):
												self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "yes"))
									else:
												self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "no"))
						except IndexError:
									pass

			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


########## Europa League ##########
		elif selectedEntry == 3:
			#Daten auswerten
			self.url = "http://fussballdaten.de/europaleague/"
			data = urllib.urlopen(self.url).read()
			data = sub('/bilder/vereine/.*?/logo.gif','/bilder/vereinslogos/mini/logo.gif',data)

			datum = re.findall("<td class=.Tag.>(.*?)</td>", data)
			uhrzeit = re.findall("<td class=.Uhrzeit.>(.*?)</td>", data)
			heim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", data)
			gast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", data)
			result = re.findall("<td class=.Ergebnis.*?>([0-9\:0-9|&#8213;].*?)</", data)
			live_info = re.findall('<td class=.Kurzinfo(.*?)></td>', data)
			lheim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/)(.*?).......></span><a href=.*?>.*?</a></td>", data)
			lgast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/)(.*?).......></span><a href=.*?>.*?</a></td>", data)
		
			#Daten an Menuliste uebergeben
			idx = 0
			for x in result:
				idx += 1
				
			for i in range(idx):
						try:
									match = "%s vs %s" %(heim[i], gast[i])
									tx_match = match.replace('&#160;'," ")
									tx_datum = datum[i].replace('<i>',"").replace('</i>',"")
									tx_uhrzeit = uhrzeit[i].replace('&#160;',"--:--")
									tx_result = result[i].replace('&#8213;',"(-:-)").replace('&#160;'," ")
									if re.match(".*?live.*?",live_info[i]):
												self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "yes"))
									else:
												self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "no"))
						except IndexError:
									pass

			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


########## Primera Division (T) ##########
		elif selectedEntry == 4:
			#Daten holen
			self.url = "http://fussballdaten.de/spanien/"
			data = urllib.urlopen(self.url).read()

			#Daten auswerten
			platz = re.findall("<tr.*?<td class=.Platz.*?.>(.*?)</td>", data)
			lplatz = re.findall("<td class=.VPlatz.*>(.*?)</td>", data)
			logoverein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*? src=./bilder/.*?/.*?/(.*?)...>", data)
			verein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", data)
			spiele = re.findall("<td class=.Spiele.>(.*?)</td>", data)
			siege = re.findall("<td class=.S.>(.*?)</td>", data)
			unen = re.findall("<td class=.U.>(.*?)</td>", data)
			nieder = re.findall("<td class=.N.>(.*?)</td>", data)
			torver = re.findall("<td class=.Torverhaeltnis.>(.*?)</td>", data)
			diff = re.findall("<td class=.Diff.>(.*?)</td>", data)
			punkte = re.findall("<td class=.Punkte.>(.*?)</td>", data)

			p = "Platz"
			po = ""
			v = "Verein"
			sp = "S"
			sie = "S"
			un = "U"
			nie = "N"
			tor = "Tore"
			dif = "D"
			pkt = "Pkt."
			lv = "L"
			up = "#"
			bt = ""
			ln1 = ""
			ln2 = ""
			ln3 = ""
			ln4 = ""
			ln5 = ""
			ln6 = ""
			ln14 = ""
			ln15 = ""
			ln16 = ""
			ln17 = ""
			self.menulist.append(BuLi2TabListEntry(p, po, v, sp, sie, un, nie, tor, dif, pkt, lv, up, bt, ln1, ln2, ln3, ln4, ln5, ln6, ln14, ln15, ln16, ln17))

			#Daten an Menuliste uebergeben
			for i in range(20):
					try:
							tx_verein = verein[i].replace('&#160;'," ")
							ok_platz = platz[i].replace('.','')
							ok_lplatz = lplatz[i].replace('.','').replace('(','').replace(')','')
							if ok_platz == ok_lplatz:
								tendenz = "ok"
							elif ok_platz < ok_lplatz:
								tendenz = "up"
							else:
								tendenz = "down"
							self.menulist.append(BuLi2TabListEntry(platz[i], lplatz[i], tx_verein, spiele[i], siege[i], unen[i], nieder[i], torver[i], diff[i], punkte[i], logoverein[i], tendenz, "0", "00.", "00.", "03.", "04.", "00.", "06.", "00.", "00.", "00.", "017."))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(21)
			self["menulist"].l.setList(self.menulist)


########## Primera Division (M) ##########
		elif selectedEntry == 5:
			#Daten auswerten
			self.url = "http://fussballdaten.de/spanien/"
			data = urllib.urlopen(self.url).read()
			startpos = data.find('<th class="Ergebnis">Ergebnis</th>')
			endpos = data.find('<tr class="nav new"><td class="zurueck" colspan="4">')
			bereich = data[startpos:endpos]

			datum = re.findall("<td class=.Tag.>(.*?)</td>", bereich)
			uhrzeit = re.findall("<td class=.Uhrzeit.>(.*?)</td>", bereich)
			heim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			gast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			result = re.findall("<td class=.Ergebnis.*?>([0-9\:0-9|&#8213;].*?)</", bereich)
			live_info = re.findall('<td class=.Kurzinfo(.*?)></td>', bereich)
			lheim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/spanien/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
			lgast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/spanien/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
		
			#Daten an Menuliste uebergeben
			idx = 0
			for x in result:
				idx += 1
				
			for i in range(idx):
					try:
							match = "%s vs %s" %(heim[i], gast[i])
							tx_match = match.replace('&#160;'," ")
							tx_datum = datum[i].replace('<i>',"").replace('</i>',"")				
							tx_uhrzeit = uhrzeit[i].replace('&#160;',"--:--")
							tx_result = result[i].replace('&#8213;',"(-:-)").replace('&#160;'," ")
							if re.match(".*?live.*?",live_info[i]):
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "yes"))
							else:
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "no"))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


########## Premier League (T) ##########
		elif selectedEntry == 6:
			#Daten holen
			self.url = "http://fussballdaten.de/england/"
			data = urllib.urlopen(self.url).read()

			#Daten auswerten
			platz = re.findall("<tr.*?<td class=.Platz.*?.>(.*?)</td>", data)
			lplatz = re.findall("<td class=.VPlatz.*>(.*?)</td>", data)
			logoverein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*? src=./bilder/.*?/.*?/(.*?)...>", data)
			verein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", data)
			spiele = re.findall("<td class=.Spiele.>(.*?)</td>", data)
			siege = re.findall("<td class=.S.>(.*?)</td>", data)
			unen = re.findall("<td class=.U.>(.*?)</td>", data)
			nieder = re.findall("<td class=.N.>(.*?)</td>", data)
			torver = re.findall("<td class=.Torverhaeltnis.>(.*?)</td>", data)
			diff = re.findall("<td class=.Diff.>(.*?)</td>", data)
			punkte = re.findall("<td class=.Punkte.>(.*?)</td>", data)

			p = "Platz"
			po = ""
			v = "Verein"
			sp = "S"
			sie = "S"
			un = "U"
			nie = "N"
			tor = "Tore"
			dif = "D"
			pkt = "Pkt."
			lv = "L"
			up = "#"
			bt = ""
			ln1 = ""
			ln2 = ""
			ln3 = ""
			ln4 = ""
			ln5 = ""
			ln6 = ""
			ln14 = ""
			ln15 = ""
			ln16 = ""
			ln17 = ""
			self.menulist.append(BuLi2TabListEntry(p, po, v, sp, sie, un, nie, tor, dif, pkt, lv, up, bt, ln1, ln2, ln3, ln4, ln5, ln6, ln14, ln15, ln16, ln17))

			#Daten an Menuliste uebergeben
			for i in range(20):
					try:
							tx_verein = verein[i].replace('&#160;'," ")
							ok_platz = platz[i].replace('.','')
							ok_lplatz = lplatz[i].replace('.','').replace('(','').replace(')','')
							if ok_platz == ok_lplatz:
								tendenz = "ok"
							elif ok_platz < ok_lplatz:
								tendenz = "up"
							else:
								tendenz = "down"
							self.menulist.append(BuLi2TabListEntry(platz[i], lplatz[i], tx_verein, spiele[i], siege[i], unen[i], nieder[i], torver[i], diff[i], punkte[i], logoverein[i], tendenz, "0", "00.", "00.", "03.", "04.", "05.", "00.", "00.", "00.", "00.", "017."))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(21)
			self["menulist"].l.setList(self.menulist)


########## Premier League (M) ##########
		elif selectedEntry == 7:
			#Daten auswerten
			self.url = "http://fussballdaten.de/england/"
			data = urllib.urlopen(self.url).read()
			startpos = data.find('<th class="Ergebnis">Ergebnis</th>')
			endpos = data.find('<tr class="nav new"><td class="zurueck" colspan="4">')
			bereich = data[startpos:endpos]

			datum = re.findall("<td class=.Tag.>(.*?)</td>", bereich)
			uhrzeit = re.findall("<td class=.Uhrzeit.>(.*?)</td>", bereich)
			heim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			gast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			result = re.findall("<td class=.Ergebnis.*?>([0-9\:0-9|&#8213;].*?)</", bereich)
			live_info = re.findall('<td class=.Kurzinfo(.*?)></td>', bereich)
			lheim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/england/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
			lgast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/england/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
		
			#Daten an Menuliste uebergeben
			idx = 0
			for x in result:
				idx += 1
				
			for i in range(idx):
					try:
							match = "%s vs %s" %(heim[i], gast[i])
							tx_match = match.replace('&#160;'," ")
							tx_datum = datum[i].replace('<i>',"").replace('</i>',"")
							tx_uhrzeit = uhrzeit[i].replace('&#160;',"--:--")
							tx_result = result[i].replace('&#8213;',"(-:-)").replace('&#160;'," ")
							if re.match(".*?live.*?",live_info[i]):
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "yes"))
							else:
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "no"))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


########## Seria A (T) ##########
		elif selectedEntry == 8:
			#Daten holen
			self.url = "http://fussballdaten.de/italien/"
			data = urllib.urlopen(self.url).read()

			#Daten auswerten
			platz = re.findall("<tr.*?<td class=.Platz.*?.>(.*?)</td>", data)
			lplatz = re.findall("<td class=.VPlatz.*>(.*?)</td>", data)
			logoverein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*? src=./bilder/.*?/.*?/(.*?)...>", data)
			verein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", data)
			spiele = re.findall("<td class=.Spiele.>(.*?)</td>", data)
			siege = re.findall("<td class=.S.>(.*?)</td>", data)
			unen = re.findall("<td class=.U.>(.*?)</td>", data)
			nieder = re.findall("<td class=.N.>(.*?)</td>", data)
			torver = re.findall("<td class=.Torverhaeltnis.>(.*?)</td>", data)
			diff = re.findall("<td class=.Diff.>(.*?)</td>", data)
			punkte = re.findall("<td class=.Punkte.>(.*?)</td>", data)

			p = "Platz"
			po = ""
			v = "Verein"
			sp = "S"
			sie = "S"
			un = "U"
			nie = "N"
			tor = "Tore"
			dif = "D"
			pkt = "Pkt."
			lv = "L"
			up = "#"
			bt = ""
			ln1 = ""
			ln2 = ""
			ln3 = ""
			ln4 = ""
			ln5 = ""
			ln6 = ""
			ln14 = ""
			ln15 = ""
			ln16 = ""
			ln17 = ""
			self.menulist.append(BuLi2TabListEntry(p, po, v, sp, sie, un, nie, tor, dif, pkt, lv, up, bt, ln1, ln2, ln3, ln4, ln5, ln6, ln14, ln15, ln16, ln17))

			#Daten an Menuliste uebergeben
			for i in range(20):
					try:
							tx_verein = verein[i].replace('&#160;'," ")
							ok_platz = platz[i].replace('.','')
							ok_lplatz = lplatz[i].replace('.','').replace('(','').replace(')','')
							if ok_platz == ok_lplatz:
								tendenz = "ok"
							elif ok_platz < ok_lplatz:
								tendenz = "up"
							else:
								tendenz = "down"
							self.menulist.append(BuLi2TabListEntry(platz[i], lplatz[i], tx_verein, spiele[i], siege[i], unen[i], nieder[i], torver[i], diff[i], punkte[i], logoverein[i], tendenz, "0", "00.", "02.", "03.", "00.", "05.", "00.", "00.", "00.", "00.", "017."))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(21)
			self["menulist"].l.setList(self.menulist)


########## Seria A (M) ##########
		elif selectedEntry == 9:
			#Daten auswerten
			self.url = "http://fussballdaten.de/italien/"
			data = urllib.urlopen(self.url).read()
			startpos = data.find('<th class="Ergebnis">Ergebnis</th>')
			endpos = data.find('<tr class="nav new"><td class="zurueck" colspan="4">')
			bereich = data[startpos:endpos]

			datum = re.findall("<td class=.Tag.>(.*?)</td>", bereich)
			uhrzeit = re.findall("<td class=.Uhrzeit.>(.*?)</td>", bereich)
			heim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			gast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			result = re.findall("<td class=.Ergebnis.*?>([0-9\:0-9|&#8213;].*?)</", bereich)
			live_info = re.findall('<td class=.Kurzinfo(.*?)></td>', bereich)
			lheim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/italien/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
			lgast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/italien/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
		
			#Daten an Menuliste uebergeben
			idx = 0
			for x in result:
				idx += 1
				
			for i in range(idx):
					try:
							match = "%s vs %s" %(heim[i], gast[i])
							tx_match = match.replace('&#160;'," ")
							tx_datum = datum[i].replace('<i>',"").replace('</i>',"")
							tx_uhrzeit = uhrzeit[i].replace('&#160;',"--:--")
							tx_result = result[i].replace('&#8213;',"(-:-)").replace('&#160;'," ")
							if re.match(".*?live.*?",live_info[i]):
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "yes"))
							else:
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "no"))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


########## Ligue 1 (T) ##########
		elif selectedEntry == 10:
			#Daten holen
			self.url = "http://www.fussballdaten.de/frankreich/"
			data = urllib.urlopen(self.url).read()

			#Daten auswerten
			platz = re.findall("<tr.*?<td class=.Platz.*?.>(.*?)</td>", data)
			lplatz = re.findall("<td class=.VPlatz.*>(.*?)</td>", data)
			logoverein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*? src=./bilder/.*?/.*?/(.*?)...>", data)
			verein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", data)
			spiele = re.findall("<td class=.Spiele.>(.*?)</td>", data)
			siege = re.findall("<td class=.S.>(.*?)</td>", data)
			unen = re.findall("<td class=.U.>(.*?)</td>", data)
			nieder = re.findall("<td class=.N.>(.*?)</td>", data)
			torver = re.findall("<td class=.Torverhaeltnis.>(.*?)</td>", data)
			diff = re.findall("<td class=.Diff.>(.*?)</td>", data)
			punkte = re.findall("<td class=.Punkte.>(.*?)</td>", data)

			p = "Platz"
			po = ""
			v = "Verein"
			sp = "S"
			sie = "S"
			un = "U"
			nie = "N"
			tor = "Tore"
			dif = "D"
			pkt = "Pkt."
			lv = "L"
			up = "#"
			bt = ""
			ln1 = ""
			ln2 = ""
			ln3 = ""
			ln4 = ""
			ln5 = ""
			ln6 = ""
			ln14 = ""
			ln15 = ""
			ln16 = ""
			ln17 = ""
			self.menulist.append(BuLi2TabListEntry(p, po, v, sp, sie, un, nie, tor, dif, pkt, lv, up, bt, ln1, ln2, ln3, ln4, ln5, ln6, ln14, ln15, ln16, ln17))

			#Daten an Menuliste uebergeben
			for i in range(20):
					try:
							tx_verein = verein[i].replace('&#160;'," ")
							ok_platz = platz[i].replace('.','')
							ok_lplatz = lplatz[i].replace('.','').replace('(','').replace(')','')
							if ok_platz == ok_lplatz:
								tendenz = "ok"
							elif ok_platz < ok_lplatz:
								tendenz = "up"
							else:
								tendenz = "down"
							self.menulist.append(BuLi2TabListEntry(platz[i], lplatz[i], tx_verein, spiele[i], siege[i], unen[i], nieder[i], torver[i], diff[i], punkte[i], logoverein[i], tendenz, "0", "00.", "02.", "03.", "04.", "00.", "00.", "00.", "00.", "00.", "017."))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(21)
			self["menulist"].l.setList(self.menulist)


########## Ligue 1 (M) ##########
		elif selectedEntry == 11:
			#Daten auswerten
			self.url = "http://www.fussballdaten.de/frankreich/"
			data = urllib.urlopen(self.url).read()
			startpos = data.find('<th class="Ergebnis">Ergebnis</th>')
			endpos = data.find('<tr class="nav new"><td class="zurueck" colspan="4">')
			bereich = data[startpos:endpos]

			datum = re.findall("<td class=.Tag.>(.*?)</td>", bereich)
			uhrzeit = re.findall("<td class=.Uhrzeit.>(.*?)</td>", bereich)
			heim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			gast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			result = re.findall("<td class=.Ergebnis.*?>([0-9\:0-9|&#8213;].*?)</", bereich)
			live_info = re.findall('<td class=.Kurzinfo(.*?)></td>', bereich)
			lheim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/frankreich/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
			lgast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/frankreich/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
		
			#Daten an Menuliste uebergeben
			idx = 0
			for x in result:
				idx += 1
				
			for i in range(idx):
					try:
							match = "%s vs %s" %(heim[i], gast[i])
							tx_match = match.replace('&#160;'," ")
							tx_datum = datum[i].replace('<i>',"").replace('</i>',"")
							tx_uhrzeit = uhrzeit[i].replace('&#160;',"--:--")
							tx_result = result[i].replace('&#8213;',"(-:-)").replace('&#160;'," ")
							if re.match(".*?live.*?",live_info[i]):
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "yes"))
							else:
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "no"))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


########## Sper Lig (T) ##########
		elif selectedEntry == 12:
			#Daten holen
			self.url = "http://www.fussballdaten.de/tuerkei/"
			data = urllib.urlopen(self.url).read()

			#Daten auswerten
			platz = re.findall("<tr.*?<td class=.Platz.*?.>(.*?)</td>", data)
			lplatz = re.findall("<td class=.VPlatz.*>(.*?)</td>", data)
			logoverein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*? src=./bilder/.*?/.*?/(.*?)...>", data)
			verein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", data)
			spiele = re.findall("<td class=.Spiele.>(.*?)</td>", data)
			siege = re.findall("<td class=.S.>(.*?)</td>", data)
			unen = re.findall("<td class=.U.>(.*?)</td>", data)
			nieder = re.findall("<td class=.N.>(.*?)</td>", data)
			torver = re.findall("<td class=.Torverhaeltnis.>(.*?)</td>", data)
			diff = re.findall("<td class=.Diff.>(.*?)</td>", data)
			punkte = re.findall("<td class=.Punkte.>(.*?)</td>", data)

			p = "Platz"
			po = ""
			v = "Verein"
			sp = "S"
			sie = "S"
			un = "U"
			nie = "N"
			tor = "Tore"
			dif = "D"
			pkt = "Pkt."
			lv = "L"
			up = "#"
			bt = ""
			ln1 = ""
			ln2 = ""
			ln3 = ""
			ln4 = ""
			ln5 = ""
			ln6 = ""
			ln14 = ""
			ln15 = ""
			ln16 = ""
			ln17 = ""
			self.menulist.append(BuLi2TabListEntry(p, po, v, sp, sie, un, nie, tor, dif, pkt, lv, up, bt, ln1, ln2, ln3, ln4, ln5, ln6, ln14, ln15, ln16, ln17))

			#Daten an Menuliste uebergeben
			for i in range(18):
					try:
							tx_verein = verein[i].replace('&#160;'," ")
							ok_platz = platz[i].replace('.','')
							ok_lplatz = lplatz[i].replace('.','').replace('(','').replace(')','')
							if ok_platz == ok_lplatz:
								tendenz = "ok"
							elif ok_platz < ok_lplatz:
								tendenz = "up"
							else:
								tendenz = "down"
							self.menulist.append(BuLi2TabListEntry(platz[i], lplatz[i], tx_verein, spiele[i], siege[i], unen[i], nieder[i], torver[i], diff[i], punkte[i], logoverein[i], tendenz, "0", "01.", "02.", "00.", "04.", "00.", "00.", "00.", "015.", "00.", "00."))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(21)
			self["menulist"].l.setList(self.menulist)


########## Sper Lig (M) ##########
		elif selectedEntry == 13:
			#Daten auswerten
			self.url = "http://www.fussballdaten.de/tuerkei/"
			data = urllib.urlopen(self.url).read()
			startpos = data.find('<th class="Ergebnis">Ergebnis</th>')
			endpos = data.find('<tr class="nav new"><td class="zurueck" colspan="4">')
			bereich = data[startpos:endpos]

			datum = re.findall("<td class=.Tag.>(.*?)</td>", bereich)
			uhrzeit = re.findall("<td class=.Uhrzeit.>(.*?)</td>", bereich)
			heim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			gast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			result = re.findall("<td class=.Ergebnis.*?>([0-9\:0-9|&#8213;].*?)</", bereich)
			live_info = re.findall('<td class=.Kurzinfo(.*?)></td>', bereich)
			lheim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/tuerkei/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
			lgast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/tuerkei/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
		
			#Daten an Menuliste uebergeben
			idx = 0
			for x in result:
				idx += 1
				
			for i in range(idx):
					try:
							match = "%s vs %s" %(heim[i], gast[i])
							tx_match = match.replace('&#160;'," ")
							tx_datum = datum[i].replace('<i>',"").replace('</i>',"")
							tx_uhrzeit = uhrzeit[i].replace('&#160;',"--:--")
							tx_result = result[i].replace('&#8213;',"(-:-)").replace('&#160;'," ")
							if re.match(".*?live.*?",live_info[i]):
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "yes"))
							else:
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "no"))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


################################################
### 2. Bundesliga, 3. Liga und Regionalligen ###
################################################

########## 2. Bundeliga (T) ##########
		elif selectedEntry == 14:
			#Daten holen
			self.url = "http://fussballdaten.de/zweiteliga/"
	                data = urllib.urlopen(self.url).read()

			#Daten auswerten
			platz = re.findall("<tr.*?<td class=.Platz.*?.>(.*?)</td>", data)
			lplatz = re.findall("<td class=.VPlatz.*>(.*?)</td>", data)
			logoverein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*? src=./bilder/.*?/.*?/(.*?)...>", data)
			verein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", data)
			spiele = re.findall("<td class=.Spiele.>(.*?)</td>", data)
			siege = re.findall("<td class=.S.>(.*?)</td>", data)
			unen = re.findall("<td class=.U.>(.*?)</td>", data)
			nieder = re.findall("<td class=.N.>(.*?)</td>", data)
			torver = re.findall("<td class=.Torverhaeltnis.>(.*?)</td>", data)
			diff = re.findall("<td class=.Diff.>(.*?)</td>", data)
			punkte = re.findall("<td class=.Punkte.>(.*?)</td>", data)

			p = "Platz"
			po = ""
			v = "Verein"
			sp = "S"
			sie = "S"
			un = "U"
			nie = "N"
			tor = "Tore"
			dif = "D"
			pkt = "Pkt."
			lv = "L"
			up = "#"
			bt = ""
			ln1 = ""
			ln2 = ""
			ln3 = ""
			ln4 = ""
			ln5 = ""
			ln6 = ""
			ln14 = ""
			ln15 = ""
			ln16 = ""
			ln17 = ""
			self.menulist.append(BuLi2TabListEntry(p, po, v, sp, sie, un, nie, tor, dif, pkt, lv, up, bt, ln1, ln2, ln3, ln4, ln5, ln6, ln14, ln15, ln16, ln17))

			#Daten an Menuliste uebergeben
			for i in range(18):
					try:
							tx_verein = verein[i].replace('&#160;'," ")
							ok_platz = platz[i].replace('.','')
							ok_lplatz = lplatz[i].replace('.','').replace('(','').replace(')','')
							if ok_platz == ok_lplatz:
								tendenz = "ok"
							elif ok_platz < ok_lplatz:
								tendenz = "up"
							else:
								tendenz = "down"
							self.menulist.append(BuLi2TabListEntry(platz[i], lplatz[i], tx_verein, spiele[i], siege[i], unen[i], nieder[i], torver[i], diff[i], punkte[i], logoverein[i], tendenz, "0", "00.", "02.", "03.", "00.", "00.", "00.", "00.", "015.", "016.", "00."))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(21)
			self["menulist"].l.setList(self.menulist)


########## 2. Bundeliga (M) ##########
		elif selectedEntry == 15:
			#Daten holen
			self.url = "http://fussballdaten.de/zweiteliga/"
			data = urllib.urlopen(self.url).read()
			startpos = data.find('<th class="Ergebnis">Ergebnis</th>')
			endpos = data.find('<tr class="nav new"><td class="zurueck" colspan="4">')
			bereich = data[startpos:endpos]

			datum = re.findall("<td class=.Tag.>(.*?)</td>", bereich)
			uhrzeit = re.findall("<td class=.Uhrzeit.>(.*?)</td>", bereich)
			heim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			gast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			result = re.findall("<td class=.Ergebnis.*?>([0-9\:0-9|&#8213;].*?)</", bereich)
			live_info = re.findall('<td class=.Kurzinfo(.*?)></td>', bereich)
			lheim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/deutschland/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
			lgast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/deutschland/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
		
			#Daten an Menuliste uebergeben
			idx = 0
			for x in result:
				idx += 1
				
			for i in range(idx):
					try:
							match = "%s vs %s" %(heim[i], gast[i])
							tx_match = match.replace('&#160;'," ")
							tx_datum = datum[i].replace('<i>',"").replace('</i>',"")	
							tx_uhrzeit = uhrzeit[i].replace('&#160;',"--:--")
							tx_result = result[i].replace('&#8213;',"(-:-)").replace('&#160;'," ")
							if re.match(".*?live.*?",live_info[i]):
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "yes"))
							else:
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "no"))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


########## 3. Liga (T) ##########
		elif selectedEntry == 16:
			#Daten holen
			self.url = "http://fussballdaten.de/dritteliga/"
	                data = urllib.urlopen(self.url).read()

			#Daten auswerten
			platz = re.findall("<tr.*?<td class=.Platz.*?.>(.*?)</td>", data)
			lplatz = re.findall("<td class=.VPlatz.*>(.*?)</td>", data)
			logoverein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*? src=./bilder/.*?/.*?/(.*?)...>", data)
			verein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", data)
			spiele = re.findall("<td class=.Spiele.>(.*?)</td>", data)
			siege = re.findall("<td class=.S.>(.*?)</td>", data)
			unen = re.findall("<td class=.U.>(.*?)</td>", data)
			nieder = re.findall("<td class=.N.>(.*?)</td>", data)
			torver = re.findall("<td class=.Torverhaeltnis.>(.*?)</td>", data)
			diff = re.findall("<td class=.Diff.>(.*?)</td>", data)
			punkte = re.findall("<td class=.Punkte.>(.*?)</td>", data)

			p = "Platz"
			po = ""
			v = "Verein"
			sp = "S"
			sie = "S"
			un = "U"
			nie = "N"
			tor = "Tore"
			dif = "D"
			pkt = "Pkt."
			lv = "L"
			up = "#"
			bt = ""
			ln1 = ""
			ln2 = ""
			ln3 = ""
			ln4 = ""
			ln5 = ""
			ln6 = ""
			ln14 = ""
			ln15 = ""
			ln16 = ""
			ln17 = ""			
			self.menulist.append(BuLi2TabListEntry(p, po, v, sp, sie, un, nie, tor, dif, pkt, lv, up, bt, ln1, ln2, ln3, ln4, ln5, ln6, ln14, ln15, ln16, ln17))

			#Daten an Menuliste uebergeben
			for i in range(20):
					try:
							tx_verein = verein[i].replace('&#160;'," ")
							ok_platz = platz[i].replace('.','')
							ok_lplatz = lplatz[i].replace('.','').replace('(','').replace(')','')
							if ok_platz == ok_lplatz:
								tendenz = "ok"
							elif ok_platz < ok_lplatz:
								tendenz = "up"
							else:
								tendenz = "down"
							self.menulist.append(BuLi2TabListEntry(platz[i], lplatz[i], tx_verein, spiele[i], siege[i], unen[i], nieder[i], torver[i], diff[i], punkte[i], logoverein[i], tendenz, "0", "00.", "02.", "03.", "00.", "00.", "00.", "00.", "00.", "00.", "017."))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(21)
			self["menulist"].l.setList(self.menulist)


########## 3. Liga (M) ##########
		elif selectedEntry == 17:
			#Daten holen
			self.url = "http://fussballdaten.de/dritteliga/"
			data = urllib.urlopen(self.url).read()
			startpos = data.find('<th class="Ergebnis">Ergebnis</th>')
			endpos = data.find('<tr class="nav new"><td class="zurueck" colspan="4">')
			bereich = data[startpos:endpos]

			datum = re.findall("<td class=.Tag.>(.*?)</td>", bereich)
			uhrzeit = re.findall("<td class=.Uhrzeit.>(.*?)</td>", bereich)
			heim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			gast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			result = re.findall("<td class=.Ergebnis.*?>([0-9\:0-9|&#8213;].*?)</", bereich)
			live_info = re.findall('<td class=.Kurzinfo(.*?)></td>', bereich)
			lheim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/deutschland/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
			lgast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/deutschland/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
		
			#Daten an Menuliste uebergeben
			idx = 0
			for x in result:
				idx += 1
				
			for i in range(idx):
					try:
							match = "%s vs %s" %(heim[i], gast[i])
							tx_match = match.replace('&#160;'," ")
							tx_datum = datum[i].replace('<i>',"").replace('</i>',"")	
							tx_uhrzeit = uhrzeit[i].replace('&#160;',"--:--")
							tx_result = result[i].replace('&#8213;',"(-:-)").replace('&#160;'," ")
							if re.match(".*?live.*?",live_info[i]):
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "yes"))
							else:
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "no"))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


########## Regionalliga Nord (T) ##########
		elif selectedEntry == 18:
			#Daten holen
			self.url = "http://www.fussballdaten.de/regionalliga/nord/"
			data = urllib.urlopen(self.url).read()

			startpos = data.find('<div class="rahmen"><h2>Die Tabelle')
			endpos = data.find('</div><!-- Ende rt_Tabelle -->')
			bereich = data[startpos:endpos]

			#Daten auswerten
			platz = re.findall("<tr.*?<td class=.Platz.*?.>(.*?)</td>", bereich)
			lplatz = re.findall("<td class=.VPlatz.*>(.*?)</td>", bereich)
			logoverein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*? src=./bilder/.*?/.*?/(.*?)...>", bereich)
			verein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			spiele = re.findall("<td class=.Spiele.>(.*?)</td>", bereich)
			siege = re.findall("<td class=.S.>(.*?)</td>", bereich)
			unen = re.findall("<td class=.U.>(.*?)</td>", bereich)
			nieder = re.findall("<td class=.N.>(.*?)</td>", bereich)
			torver = re.findall("<td class=.Torverhaeltnis.>(.*?)</td>", bereich)
			diff = re.findall("<td class=.Diff.>(.*?)</td>", bereich)
			punkte = re.findall("<td class=.Punkte.>(.*?)</td>", bereich)

			p = "Platz"
			po = ""
			v = "Verein"
			sp = "S"
			sie = "S"
			un = "U"
			nie = "N"
			tor = "Tore"
			dif = "D"
			pkt = "Pkt."
			lv = "L"
			up = "#"
			bt = ""
			ln1 = ""
			ln2 = ""
			ln3 = ""
			ln4 = ""
			ln5 = ""
			ln6 = ""
			ln14 = ""
			ln15 = ""
			ln16 = ""
			ln17 = ""
			self.menulist.append(BuLi2TabListEntry(p, po, v, sp, sie, un, nie, tor, dif, pkt, lv, up, bt, ln1, ln2, ln3, ln4, ln5, ln6, ln14, ln15, ln16, ln17))

			#Daten an Menuliste uebergeben
			idx = 0
			for x in verein:
				idx += 1

			for i in range(idx):
					try:
							tx_verein = verein[i].replace('&#160;'," ")
							ok_platz = platz[i].replace('.','')
							ok_lplatz = lplatz[i].replace('.','').replace('(','').replace(')','')
							if ok_platz == ok_lplatz:
								tendenz = "ok"
							elif ok_platz < ok_lplatz:
								tendenz = "up"
							else:
								tendenz = "down"
							self.menulist.append(BuLi2TabListEntry(platz[i], lplatz[i], tx_verein, spiele[i], siege[i], unen[i], nieder[i], torver[i], diff[i], punkte[i], logoverein[i], tendenz, "0", "01.", "00.", "00.", "00.", "00.", "00.", "00.", "00.", "00.", "00."))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(21)
			self["menulist"].l.setList(self.menulist)


########## Regionalliga Nord (M) ##########
		elif selectedEntry == 19:
			#Daten holen
			self.url = "http://www.fussballdaten.de/regionalliga/nord/"
			data = urllib.urlopen(self.url).read()
			startpos = data.find('<th class="Ergebnis">Ergebnis</th>')
			endpos = data.find('<tr class="nav new"><td class="zurueck" colspan="4">')
			bereich = data[startpos:endpos]

			datum = re.findall("<td class=.Tag.>(.*?)</td>", bereich)
			uhrzeit = re.findall("<td class=.Uhrzeit.>(.*?)</td>", bereich)
			heim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			gast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			result = re.findall("<td class=.Ergebnis.*?>([0-9\:0-9|&#8213;].*?)</", bereich)
			live_info = re.findall('<td class=.Kurzinfo(.*?)></td>', bereich)
			lheim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/deutschland/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
			lgast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/deutschland/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)

			#Daten an Menuliste uebergeben
			idx = 0
			for x in result:
				idx += 1

			for i in range(idx):
					try:
							match = "%s vs %s" %(heim[i], gast[i])
							tx_match = match.replace('&#160;'," ")
							tx_datum = datum[i].replace('<i>',"").replace('</i>',"")	
							tx_uhrzeit = uhrzeit[i].replace('&#160;',"--:--")
							tx_result = result[i].replace('&#8213;',"(-:-)").replace('&#160;'," ")
							if re.match(".*?live.*?",live_info[i]):
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "yes"))
							else:
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "no"))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


########## Regionalliga Nordost (T) ##########
		elif selectedEntry == 20:
			#Daten holen
			self.url = "http://www.fussballdaten.de/regionalliga/nordost/"
			data = urllib.urlopen(self.url).read()

			startpos = data.find('<div class="rahmen"><h2>Die Tabelle')
			endpos = data.find('</div><!-- Ende rt_Tabelle -->')
			bereich = data[startpos:endpos]

			#Daten auswerten
			platz = re.findall("<tr.*?<td class=.Platz.*?.>(.*?)</td>", bereich)
			lplatz = re.findall("<td class=.VPlatz.*>(.*?)</td>", bereich)
			logoverein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*? src=./bilder/.*?/.*?/(.*?)...>", bereich)
			verein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			spiele = re.findall("<td class=.Spiele.>(.*?)</td>", bereich)
			siege = re.findall("<td class=.S.>(.*?)</td>", bereich)
			unen = re.findall("<td class=.U.>(.*?)</td>", bereich)
			nieder = re.findall("<td class=.N.>(.*?)</td>", bereich)
			torver = re.findall("<td class=.Torverhaeltnis.>(.*?)</td>", bereich)
			diff = re.findall("<td class=.Diff.>(.*?)</td>", bereich)
			punkte = re.findall("<td class=.Punkte.>(.*?)</td>", bereich)

			p = "Platz"
			po = ""
			v = "Verein"
			sp = "S"
			sie = "S"
			un = "U"
			nie = "N"
			tor = "Tore"
			dif = "D"
			pkt = "Pkt."
			lv = "L"
			up = "#"
			bt = ""
			ln1 = ""
			ln2 = ""
			ln3 = ""
			ln4 = ""
			ln5 = ""
			ln6 = ""
			ln14 = ""
			ln15 = ""
			ln16 = ""
			ln17 = ""
			self.menulist.append(BuLi2TabListEntry(p, po, v, sp, sie, un, nie, tor, dif, pkt, lv, up, bt, ln1, ln2, ln3, ln4, ln5, ln6, ln14, ln15, ln16, ln17))

			#Daten an Menuliste uebergeben
			idx = 0
			for x in verein:
				idx += 1

			for i in range(idx):
					try:
							tx_verein = verein[i].replace('&#160;'," ")
							ok_platz = platz[i].replace('.','')
							ok_lplatz = lplatz[i].replace('.','').replace('(','').replace(')','')
							if ok_platz == ok_lplatz:
								tendenz = "ok"
							elif ok_platz < ok_lplatz:
								tendenz = "up"
							else:
								tendenz = "down"
							self.menulist.append(BuLi2TabListEntry(platz[i], lplatz[i], tx_verein, spiele[i], siege[i], unen[i], nieder[i], torver[i], diff[i], punkte[i], logoverein[i], tendenz, "0", "01.", "00.", "00.", "00.", "00.", "00.", "00.", "00.", "00.", "00."))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(21)
			self["menulist"].l.setList(self.menulist)


########## Regionalliga Nordost (M) ##########
		elif selectedEntry == 21:
			#Daten holen
			self.url = "http://www.fussballdaten.de/regionalliga/nordost/"
			data = urllib.urlopen(self.url).read()
			startpos = data.find('<th class="Ergebnis">Ergebnis</th>')
			endpos = data.find('<tr class="nav new"><td class="zurueck" colspan="4">')
			bereich = data[startpos:endpos]

			datum = re.findall("<td class=.Tag.>(.*?)</td>", bereich)
			uhrzeit = re.findall("<td class=.Uhrzeit.>(.*?)</td>", bereich)
			heim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			gast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			result = re.findall("<td class=.Ergebnis.*?>([0-9\:0-9|&#8213;].*?)</", bereich)
			live_info = re.findall('<td class=.Kurzinfo(.*?)></td>', bereich)
			lheim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/deutschland/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
			lgast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/deutschland/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)

			#Daten an Menuliste uebergeben
			idx = 0
			for x in result:
				idx += 1

			for i in range(idx):
					try:
							match = "%s vs %s" %(heim[i], gast[i])
							tx_match = match.replace('&#160;'," ")
							tx_datum = datum[i].replace('<i>',"").replace('</i>',"")	
							tx_uhrzeit = uhrzeit[i].replace('&#160;',"--:--")
							tx_result = result[i].replace('&#8213;',"(-:-)").replace('&#160;'," ")
							if re.match(".*?live.*?",live_info[i]):
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "yes"))
							else:
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "no"))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


########## Regionalliga West (T) ##########
		elif selectedEntry == 22:
			#Daten holen
			self.url = "http://www.fussballdaten.de/regionalliga/west/"
			data = urllib.urlopen(self.url).read()

			startpos = data.find('<div class="rahmen"><h2>Die Tabelle')
			endpos = data.find('</div><!-- Ende rt_Tabelle -->')
			bereich = data[startpos:endpos]

			#Daten auswerten
			platz = re.findall("<tr.*?<td class=.Platz.*?.>(.*?)</td>", bereich)
			lplatz = re.findall("<td class=.VPlatz.*>(.*?)</td>", bereich)
			logoverein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*? src=./bilder/.*?/.*?/(.*?)...>", bereich)
			verein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			spiele = re.findall("<td class=.Spiele.>(.*?)</td>", bereich)
			siege = re.findall("<td class=.S.>(.*?)</td>", bereich)
			unen = re.findall("<td class=.U.>(.*?)</td>", bereich)
			nieder = re.findall("<td class=.N.>(.*?)</td>", bereich)
			torver = re.findall("<td class=.Torverhaeltnis.>(.*?)</td>", bereich)
			diff = re.findall("<td class=.Diff.>(.*?)</td>", bereich)
			punkte = re.findall("<td class=.Punkte.>(.*?)</td>", bereich)

			p = "Platz"
			po = ""
			v = "Verein"
			sp = "S"
			sie = "S"
			un = "U"
			nie = "N"
			tor = "Tore"
			dif = "D"
			pkt = "Pkt."
			lv = "L"
			up = "#"
			bt = ""
			ln1 = ""
			ln2 = ""
			ln3 = ""
			ln4 = ""
			ln5 = ""
			ln6 = ""
			ln14 = ""
			ln15 = ""
			ln16 = ""
			ln17 = ""
			self.menulist.append(BuLi2TabListEntry(p, po, v, sp, sie, un, nie, tor, dif, pkt, lv, up, bt, ln1, ln2, ln3, ln4, ln5, ln6, ln14, ln15, ln16, ln17))

			#Daten an Menuliste uebergeben
			idx = 0
			for x in verein:
				idx += 1

			for i in range(idx):
					try:
							tx_verein = verein[i].replace('&#160;'," ")
							ok_platz = platz[i].replace('.','')
							ok_lplatz = lplatz[i].replace('.','').replace('(','').replace(')','')
							if ok_platz == ok_lplatz:
								tendenz = "ok"
							elif ok_platz < ok_lplatz:
								tendenz = "up"
							else:
								tendenz = "down"
							self.menulist.append(BuLi2TabListEntry(platz[i], lplatz[i], tx_verein, spiele[i], siege[i], unen[i], nieder[i], torver[i], diff[i], punkte[i], logoverein[i], tendenz, "0", "01.", "00.", "00.", "00.", "00.", "00.", "00.", "00.", "00.", "00."))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(21)
			self["menulist"].l.setList(self.menulist)


########## Regionalliga West (M) ##########
		elif selectedEntry == 23:
			#Daten holen
			self.url = "http://www.fussballdaten.de/regionalliga/west/"
			data = urllib.urlopen(self.url).read()
			startpos = data.find('<th class="Ergebnis">Ergebnis</th>')
			endpos = data.find('<tr class="nav new"><td class="zurueck" colspan="4">')
			bereich = data[startpos:endpos]

			datum = re.findall("<td class=.Tag.>(.*?)</td>", bereich)
			uhrzeit = re.findall("<td class=.Uhrzeit.>(.*?)</td>", bereich)
			heim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			gast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			result = re.findall("<td class=.Ergebnis.*?>([0-9\:0-9|&#8213;].*?)</", bereich)
			live_info = re.findall('<td class=.Kurzinfo(.*?)></td>', bereich)
			lheim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/deutschland/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
			lgast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/deutschland/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)

			#Daten an Menuliste uebergeben
			idx = 0
			for x in result:
				idx += 1

			for i in range(idx):
					try:
							match = "%s vs %s" %(heim[i], gast[i])
							tx_match = match.replace('&#160;'," ")
							tx_datum = datum[i].replace('<i>',"").replace('</i>',"")	
							tx_uhrzeit = uhrzeit[i].replace('&#160;',"--:--")
							tx_result = result[i].replace('&#8213;',"(-:-)").replace('&#160;'," ")
							if re.match(".*?live.*?",live_info[i]):
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "yes"))
							else:
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "no"))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


########## Regionalliga Sdwest (T) ##########
		elif selectedEntry == 24:
			#Daten holen
			self.url = "http://www.fussballdaten.de/regionalliga/suedwest/"
			data = urllib.urlopen(self.url).read()

			startpos = data.find('<div class="rahmen"><h2>Die Tabelle')
			endpos = data.find('</div><!-- Ende rt_Tabelle -->')
			bereich = data[startpos:endpos]

			#Daten auswerten
			platz = re.findall("<tr.*?<td class=.Platz.*?.>(.*?)</td>", bereich)
			lplatz = re.findall("<td class=.VPlatz.*>(.*?)</td>", bereich)
			logoverein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*? src=./bilder/.*?/.*?/(.*?)...>", bereich)
			verein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			spiele = re.findall("<td class=.Spiele.>(.*?)</td>", bereich)
			siege = re.findall("<td class=.S.>(.*?)</td>", bereich)
			unen = re.findall("<td class=.U.>(.*?)</td>", bereich)
			nieder = re.findall("<td class=.N.>(.*?)</td>", bereich)
			torver = re.findall("<td class=.Torverhaeltnis.>(.*?)</td>", bereich)
			diff = re.findall("<td class=.Diff.>(.*?)</td>", bereich)
			punkte = re.findall("<td class=.Punkte.>(.*?)</td>", bereich)

			p = "Platz"
			po = ""
			v = "Verein"
			sp = "S"
			sie = "S"
			un = "U"
			nie = "N"
			tor = "Tore"
			dif = "D"
			pkt = "Pkt."
			lv = "L"
			up = "#"
			bt = ""
			ln1 = ""
			ln2 = ""
			ln3 = ""
			ln4 = ""
			ln5 = ""
			ln6 = ""
			ln14 = ""
			ln15 = ""
			ln16 = ""
			ln17 = ""
			self.menulist.append(BuLi2TabListEntry(p, po, v, sp, sie, un, nie, tor, dif, pkt, lv, up, bt, ln1, ln2, ln3, ln4, ln5, ln6, ln14, ln15, ln16, ln17))

			#Daten an Menuliste uebergeben
			idx = 0
			for x in verein:
				idx += 1

			for i in range(idx):
					try:
							tx_verein = verein[i].replace('&#160;'," ")
							ok_platz = platz[i].replace('.','')
							ok_lplatz = lplatz[i].replace('.','').replace('(','').replace(')','')
							if ok_platz == ok_lplatz:
								tendenz = "ok"
							elif ok_platz < ok_lplatz:
								tendenz = "up"
							else:
								tendenz = "down"
							self.menulist.append(BuLi2TabListEntry(platz[i], lplatz[i], tx_verein, spiele[i], siege[i], unen[i], nieder[i], torver[i], diff[i], punkte[i], logoverein[i], tendenz, "0", "01.", "00.", "00.", "00.", "00.", "00.", "00.", "00.", "00.", "00."))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(21)
			self["menulist"].l.setList(self.menulist)


########## Regionalliga Sdwest (M) ##########
		elif selectedEntry == 25:
			#Daten holen
			self.url = "http://www.fussballdaten.de/regionalliga/suedwest/"
			data = urllib.urlopen(self.url).read()
			startpos = data.find('<th class="Ergebnis">Ergebnis</th>')
			endpos = data.find('<tr class="nav new"><td class="zurueck" colspan="4">')
			bereich = data[startpos:endpos]

			datum = re.findall("<td class=.Tag.>(.*?)</td>", bereich)
			uhrzeit = re.findall("<td class=.Uhrzeit.>(.*?)</td>", bereich)
			heim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			gast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			result = re.findall("<td class=.Ergebnis.*?>([0-9\:0-9|&#8213;].*?)</", bereich)
			live_info = re.findall('<td class=.Kurzinfo(.*?)></td>', bereich)
			lheim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/deutschland/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
			lgast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/deutschland/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
		
			#Daten an Menuliste uebergeben
			idx = 0
			for x in result:
				idx += 1
				
			for i in range(idx):
					try:
							match = "%s vs %s" %(heim[i], gast[i])
							tx_match = match.replace('&#160;'," ")
							tx_datum = datum[i].replace('<i>',"").replace('</i>',"")	
							tx_uhrzeit = uhrzeit[i].replace('&#160;',"--:--")
							tx_result = result[i].replace('&#8213;',"(-:-)").replace('&#160;'," ")
							if re.match(".*?live.*?",live_info[i]):
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "yes"))
							else:
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "no"))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


########## Regionalliga Bayern (T) ##########
		elif selectedEntry == 26:
			#Daten holen
			self.url = "http://www.fussballdaten.de/regionalliga/bayern/"
			data = urllib.urlopen(self.url).read()

			startpos = data.find('<div class="rahmen"><h2>Die Tabelle')
			endpos = data.find('</div><!-- Ende rt_Tabelle -->')
			bereich = data[startpos:endpos]

			#Daten auswerten
			platz = re.findall("<tr.*?<td class=.Platz.*?.>(.*?)</td>", bereich)
			lplatz = re.findall("<td class=.VPlatz.*>(.*?)</td>", bereich)
			logoverein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*? src=./bilder/.*?/.*?/(.*?)...>", bereich)
			verein = re.findall("<td class=.Verein.><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			spiele = re.findall("<td class=.Spiele.>(.*?)</td>", bereich)
			siege = re.findall("<td class=.S.>(.*?)</td>", bereich)
			unen = re.findall("<td class=.U.>(.*?)</td>", bereich)
			nieder = re.findall("<td class=.N.>(.*?)</td>", bereich)
			torver = re.findall("<td class=.Torverhaeltnis.>(.*?)</td>", bereich)
			diff = re.findall("<td class=.Diff.>(.*?)</td>", bereich)
			punkte = re.findall("<td class=.Punkte.>(.*?)</td>", bereich)

			p = "Platz"
			po = ""
			v = "Verein"
			sp = "S"
			sie = "S"
			un = "U"
			nie = "N"
			tor = "Tore"
			dif = "D"
			pkt = "Pkt."
			lv = "L"
			up = "#"
			bt = ""
			ln1 = ""
			ln2 = ""
			ln3 = ""
			ln4 = ""
			ln5 = ""
			ln6 = ""
			ln14 = ""
			ln15 = ""
			ln16 = ""
			ln17 = ""
			self.menulist.append(BuLi2TabListEntry(p, po, v, sp, sie, un, nie, tor, dif, pkt, lv, up, bt, ln1, ln2, ln3, ln4, ln5, ln6, ln14, ln15, ln16, ln17))

			#Daten an Menuliste uebergeben
			idx = 0
			for x in verein:
				idx += 1

			for i in range(idx):
					try:
							tx_verein = verein[i].replace('&#160;'," ")
							ok_platz = platz[i].replace('.','')
							ok_lplatz = lplatz[i].replace('.','').replace('(','').replace(')','')
							if ok_platz == ok_lplatz:
								tendenz = "ok"
							elif ok_platz < ok_lplatz:
								tendenz = "up"
							else:
								tendenz = "down"
							self.menulist.append(BuLi2TabListEntry(platz[i], lplatz[i], tx_verein, spiele[i], siege[i], unen[i], nieder[i], torver[i], diff[i], punkte[i], logoverein[i], tendenz, "0", "01.", "00.", "00.", "00.", "00.", "00.", "00.", "00.", "00.", "00."))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(21)
			self["menulist"].l.setList(self.menulist)


########## Regionalliga Bayern (M) ##########
		elif selectedEntry == 27:
			#Daten holen
			self.url = "http://www.fussballdaten.de/regionalliga/bayern/"
			data = urllib.urlopen(self.url).read()
			startpos = data.find('<th class="Ergebnis">Ergebnis</th>')
			endpos = data.find('<tr class="nav new"><td class="zurueck" colspan="4">')
			bereich = data[startpos:endpos]

			datum = re.findall("<td class=.Tag.>(.*?)</td>", bereich)
			uhrzeit = re.findall("<td class=.Uhrzeit.>(.*?)</td>", bereich)
			heim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			gast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?src=.*?></span><a href=.*?>(.*?)</a></td>", bereich)
			result = re.findall("<td class=.Ergebnis.*?>([0-9\:0-9|&#8213;].*?)</", bereich)
			live_info = re.findall('<td class=.Kurzinfo(.*?)></td>', bereich)
			lheim = re.findall("<td class=.Heim.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/deutschland/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
			lgast = re.findall("<td class=.Gast.*?><span class=.*?><img alt=.*?(/bilder/t-vereine/15x15/|/bilder/vereinslogos/mini/|/bilder/vereine/deutschland/)(.*?).......></span><a href=.*?>.*?</a></td>", bereich)
		
			#Daten an Menuliste uebergeben
			idx = 0
			for x in result:
				idx += 1
				
			for i in range(idx):
					try:
							match = "%s vs %s" %(heim[i], gast[i])
							tx_match = match.replace('&#160;'," ")
							tx_datum = datum[i].replace('<i>',"").replace('</i>',"")	
							tx_uhrzeit = uhrzeit[i].replace('&#160;',"--:--")
							tx_result = result[i].replace('&#8213;',"(-:-)").replace('&#160;'," ")
							if re.match(".*?live.*?",live_info[i]):
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "yes"))
							else:
								self.menulist.append(l2Entry(tx_match, tx_result, tx_datum, tx_uhrzeit, lheim[i][1], lgast[i][1], "no"))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


################
### Formel 1 ###
################

########## F1 Tracks ##########
		elif selectedEntry == 28:
			url = "http://www.formel1.de/de/3256/Strecken"
			data = urllib.urlopen(url).read()

			startpos = data.find('<div id="trackscontainer">')
			endpos = data.find('<h4>Kalender & Poster vom Weltmeister</h4>')
			bereich = data[startpos:endpos]

			number = re.findall('<div class=.number.>.?[1$|3$|5$|7$|9$]</div>.*?<a href=./de/3256/.*?/eventDisplay/track/eventSeason/2012/browsePage/(.*?).>', bereich, re.S)
			image = re.findall('<div class=.number.>.?[1$|3$|5$|7$|9$]</div>.*?<img src=./public/img/tracks/(.*?).jpg', bereich, re.S)
			date = re.findall('<div class=.number.>.?[1$|3$|5$|7$|9$]</div>.*?<div class=.timespan.>(.*?)</div>', bereich, re.S)
			place = re.findall('<div class=.number.>.?[1$|3$|5$|7$|9$]</div>.*?<div class=.place.><a href=./de/3256/.*?/eventDisplay/track/eventSeason/2012/browsePage/.*?class=.simpleblack.>.*?/ (.*?)</a></div>', bereich, re.S)
			track = re.findall('<div class=.number.>.?[1$|3$|5$|7$|9$]</div>.*?<div class=.track.>(.*?)</div>', bereich, re.S)

			number2 = re.findall('<div class=.number.>.?[2$|4$|6$|8$|0$]</div>.*?<a href=./de/3256/.*?/eventDisplay/track/eventSeason/2012/browsePage/(.*?).>', bereich, re.S)
			image2 = re.findall('<div class=.number.>.?[2$|4$|6$|8$|0$]</div>.*?<img src=./public/img/tracks/(.*?).jpg', bereich, re.S)
			date2 = re.findall('<div class=.number.>.?[2$|4$|6$|8$|0$]</div>.*?<div class=.timespan.>(.*?)</div>', bereich, re.S)
			place2 = re.findall('<div class=.number.>.?[2$|4$|6$|8$|0$]</div>.*?<div class=.place.><a href=./de/3256/.*?/eventDisplay/track/eventSeason/2012/browsePage/.*?class=.simpleblack.>.*?/ (.*?)</a></div>', bereich, re.S)
			track2 = re.findall('<div class=.number.>.?[2$|4$|6$|8$|0$]</div>.*?<div class=.track.>(.*?)</div>', bereich, re.S)


			for i in range(10):
				try:
							#print number[i], image[i], date[i], place[i], track[i], number2[i], image2[i], date2[i], place2[i], track2[i]
							self.menulist.append(f1trackListEntry(number[i], image[i], date[i], place[i].replace('&rsaquo;','GP'), track[i].replace(' Baden-Württemberg',''), number2[i], image2[i], date2[i], place2[i].replace('&rsaquo;','GP'), track2[i].replace(' Baden-Württemberg','')))
				except IndexError:
							pass


			self["menulist"].l.setFont(14, gFont("Regular", 14))
			self["menulist"].l.setItemHeight(50)
			self["menulist"].l.setList(self.menulist)


########## F1 WM-Team ##########
		elif selectedEntry == 29:
			self.url = "http://www.formel1.de/de/27/WM-Stand"
			data = urllib.urlopen(self.url).read()

			startpos = data.find('<table id="f1datacsTeams" class="f1data ui-tabs-hide" cellspacing="0">')
			endpos = data.find('<h4>Top News der letzten 7 Tage</h4>')
			bereich = data[startpos:endpos]

			racer = re.findall('/grid_season/201./teamID/.*?">(.*?)&nbsp;&rsaquo;</a></td>', bereich, re.S)
			pkt = re.findall('<td class="bold">(-|[0-9]+)</td>', bereich, re.S)
			ok = re.findall('<td class="alignCenter" style="border: 0;">(.*?)</tr>', bereich, re.S)

			pos = 0
			po = "Pos."
			te = "Team"
			pt = "Pkt."
			au = ""
			ma = ""
			ch = ""
			bh = ""
			es = ""
			mo = ""
			ca = ""
			eu = ""
			gb = ""
			ge = ""
			hu = ""
			be = ""
			it = ""
			si = ""
			jp = ""
			ko = ""
			i = ""
			ab = ""
			us = ""
			br = ""
			bt = ""
			self.menulist.append(f1ListEntry(po, te, pt, au, ma, ch, bh, es, mo, ca, eu, gb, ge, hu, be, it, si, jp, ko, i, ab, us, br, bt))

			for i in range(12):
					try:
							pos = pos + 1
							data = ok[i]
							points = re.findall('<td width="22">.*?(-|[0-9]+).*?</td>', data, re.S)
							(aus, mal, chn, bhr, esp, mon, can, eur, gbr, ger, hun, bel, ita, sin, jpn, kor, ind, abd, usa, bra) = points
							#print pos, racer, pkt, aus, mal, chn, bhr, esp, mon, can, eur, gbr, ger, hun, bel, ita, sin, jpn, kor, ind, abd, usa, bra
							self.menulist.append(f1ListEntry(pos, racer[i], pkt[i], aus, mal, chn, bhr, esp, mon, can, eur, gbr, ger, hun, bel, ita, sin, jpn, kor, ind, abd, usa, bra, "0"))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(20)
			self["menulist"].l.setList(self.menulist)


########## F1 WM-Fahrer ##########
		elif selectedEntry == 30:
			self.url = "http://www.formel1.de/de/27/WM-Stand"
			data = urllib.urlopen(self.url).read()

			startpos = data.find('<table id="f1datacsFahrer" class="f1data" cellspacing="0">')
			endpos = data.find('<table id="f1datacsTeams" class="f1data ui-tabs-hide" cellspacing="0">')
			bereich = data[startpos:endpos]

			racer = re.findall('/grid_season/201./driverID/.*?">(.*?)&nbsp;&rsaquo;</a></td>', bereich, re.S)
			pkt = re.findall('<td class="bold" class="points">.*?<div class="pointsvalue">([0-9]+)</div>', bereich, re.S)
			ok = re.findall('<td class="alignCenter" style="border: 0;" class="position">(.*?)</tr>', bereich, re.S)

			pos = 0
			po = "Pos."
			rc = "Fahrer"
			pt = "Pkt."
			au = ""
			ma = ""
			ch = ""
			bh = ""
			es = ""
			mo = ""
			ca = ""
			eu = ""
			gb = ""
			ge = ""
			hu = ""
			be = ""
			it = ""
			si = ""
			jp = ""
			ko = ""
			i = ""
			ab = ""
			us = ""
			br = ""
			bt = ""
			self.menulist.append(f1ListEntry(po, rc, pt, au, ma, ch, bh, es, mo, ca, eu, gb, ge, hu, be, it, si, jp, ko, i, ab, us, br, bt))

			for i in range(24):
					try:
							pos = pos + 1
							data = ok[i]
							points = re.findall('<td width="22" class="points">.*?(-|[0-9]+).*?</td>', data, re.S)
							(aus, mal, chn, bhr, esp, mon, can, eur, gbr, ger, hun, bel, ita, sin, jpn, kor, ind, abd, usa, bra) = points
							#print pos, racer, pkt, aus, mal, chn, bhr, esp, mon, can, eur, gbr, ger, hun, bel, ita, sin, jpn, kor, ind, abd, usa, bra
							self.menulist.append(f1ListEntry(pos, racer[i].replace('R\xc3\xa4ikk\xc3\xb6nen','Raikkonen').replace('\xc3\xbc','ue'), pkt[i], aus, mal, chn, bhr, esp, mon, can, eur, gbr, ger, hun, bel, ita, sin, jpn, kor, ind, abd, usa, bra, "0"))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(20)
			self["menulist"].l.setList(self.menulist)


########## F1 *Ticker* ##########
		elif selectedEntry == 31:
			url = "http://www.formel1.de/de/352/Ticker+PopUp"
			data = urllib.urlopen(url).read()

			startpos = data.find('<span class="button" style="margin: 5px 0;"><a href="/de/352/Ticker+PopUp" id="refreshlink">Aktualisieren</a></span>')
			endpos = data.find('<div id="tickerinfos">')
			bereich = data[startpos:endpos]

			logo = re.findall('<td class=.bold.><img width=.17. height=.19. border=.0. class=.iconclock. alt=.. src=./public/img/(.*?).gif./>', bereich, re.S)
			runde = re.findall('<td class=.bold.><img width=.17. height=.19. border=.0. class=.iconclock. alt=.. src=./public/img/zero.gif./> (.*?)</td>', bereich, re.S)
			news = re.findall('<td>.*?^....................(&#220;.*?|[A-Z].*?)</td>', bereich, re.S|re.M)
			pic = re.findall('<td>(.*?)[A-Z].*?</td>', bereich, re.S)

			idx = 0
			for x in news:
				idx += 1

			for i in range(idx):
						try:
									pic[i] = pic[i].strip()
									#print logo[i], runde[i], pic[i].replace('<img src="http://www.formel1.de/ftp_mst/ticker/icons/','').replace('.gif" border="0" alt="" />',''), news[i]
									self.menulist.append(F1TickerEntry(logo[i], runde[i], pic[i].replace('<img src="http://www.formel1.de/ftp_mst/ticker/icons/','').replace('.gif" border="0" alt="" />',''), news[i].replace('&#196;','Ae').replace('&#214;','Oe').replace('&#220;','Ue').replace('&#223;','ss').replace('&#228;','ae').replace('&#246;','oe').replace('&#252;','ue')))
						except IndexError:
									pass

			self["menulist"].l.setFont(14, gFont("Regular", 14))
			self["menulist"].l.setItemHeight(71)
			self["menulist"].l.setList(self.menulist)

			self.updateTimer.start(self.update_interval)


########## F1 Live Position ##########
		elif selectedEntry == 32:
			url = "http://www.formel1.de/de/352/Ticker+PopUp"
			data = urllib.urlopen(url).read()

			racers = re.findall('<td class=.pos.>(.*?)</td>.*?<td><.*?onclick="javascript:window.opener.location.href =.*?return false;">(.*?).&rsaquo;</a></td>.*?<td>(.*?)</td>.*?<td>(.*?)</td>.*?<td>(.*?)</td>.*?<td class=.*?>(.*?)</td>', data, re.DOTALL)
			inout = re.findall('<img src="/public/img/.*?.gif" alt="(.*?)"./></a></td>', data)

			count = 0
			cinout = 0
			#print "Pos. - Racer - Team - Best Lap - R. Lap - Box-Stopps - in/out"
			p = "Pos."
			ra = "Fahrer"
			t = "Team"
			b = "Best-Lap"
			r = "Rckstand"
			s = "S"
			i = "In/Out"
			bt = ""
			self.menulist.append(f1lListEntry(p, ra, t, b, r, s, i,  bt))
			for racer in racers:
					try:
							if count == 24:
									break
							else:
									#print racer[0], racer[1], racer[2],  racer[3], racer[4], racer[5], inout[cinout]
									self.menulist.append(f1lListEntry(racer[0], racer[1].replace('&#146;','').replace('&#252;','ue').replace('K. R&#228;ikk&#246;nen','K. Raikkonen'), racer[2],  racer[3], racer[4], racer[5], inout[cinout], "0"))
									count = count + 1
									cinout = cinout +1
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(20)
			self["menulist"].l.setList(self.menulist)


########## F1 Starting Grid ##########
		elif selectedEntry == 33:
			url = "http://www.formel1.de/de/42/Rennergebnisse"
			data = urllib.urlopen(url).read()

			startpos = data.find('<div id="result5"')
			endpos = data.find('<div id="result6"')
			bereich = data[startpos:endpos]

			pos = re.findall('<li class="pos.?[1$|3$|5$|7$|9$]">.*?<div class="position">(.*?)</div>', bereich, re.S)
			racer = re.findall('<li class="pos.?[1$|3$|5$|7$|9$]">.*?/driverID/.*?/grid_season/201.">([A-Z]).*? (.*?)&nbsp;&rsaquo;</a><br />', bereich, re.S)
			team = re.findall('<li class="pos.?[1$|3$|5$|7$|9$]">.*?/eventSeason/2012/teamID/.*?/grid_season/201.">(.*?)&nbsp;&rsaquo;</a>', bereich, re.S)
			flag = re.findall('<li class="pos.?[1$|3$|5$|7$|9$]">.*?<img src="/public/img/history/flags/(.*?).[a-z][a-z][a-z]" alt="" border="0" class="countryimage" />', bereich, re.S)
			logo = re.findall('<li class="pos.?[1$|3$|5$|7$|9$]">.*?<img src="http://www.formel1.de/public/asset/thumb/.*?/(.*?).jpg/45x51.jpg"', bereich, re.S)
			pos2 = re.findall('<li class="pos.?[2$|4$|6$|8$|0$]">.*?<div class="position">(.*?)</div>', bereich, re.S)
			racer2 = re.findall('<li class="pos.?[2$|4$|6$|8$|0$]">.*?/driverID/.*?/grid_season/201.">([A-Z]).*? (.*?)&nbsp;&rsaquo;</a><br />', bereich, re.S)
			team2 = re.findall('<li class="pos.?[2$|4$|6$|8$|0$]">.*?/eventSeason/2012/teamID/.*?/grid_season/201.">(.*?)&nbsp;&rsaquo;</a>', bereich, re.S)
			flag2 = re.findall('<li class="pos.?[2$|4$|6$|8$|0$]">.*?<img src="/public/img/history/flags/(.*?).[a-z][a-z][a-z]" alt="" border="0" class="countryimage" />', bereich, re.S)
			logo2 = re.findall('<li class="pos.?[2$|4$|6$|8$|0$]">.*?<img src="http://www.formel1.de/public/asset/thumb/.*?/(.*?).jpg/45x51.jpg"', bereich, re.S)

			for i in range(12):
					try:
								driver1 = racer[i][0] + ". " + racer[i][1]
								driver2 = racer2[i][0] + ". " + racer2[i][1]
								#print pos[i], driver1, team[i], flag[i], logo[i], pos2[i], driver2, team2[i], flag2[i], logo2[i] 
								self.menulist.append(f1startListEntry(pos[i], driver1.replace('R\xc3\xa4ikk\xc3\xb6nen','Raikkonen').replace('\xc3\xbc','ue'), team[i], flag[i], logo[i], pos2[i], driver2.replace('R\xc3\xa4ikk\xc3\xb6nen','Raikkonen').replace('\xc3\xbc','ue'), team2[i], flag2[i], logo2[i]))
					except IndexError:
								pass

			self["menulist"].l.setFont(16, gFont("Regular", 16))
			self["menulist"].l.setItemHeight(40)
			self["menulist"].l.setList(self.menulist)


########## F1 Qualifying ##########
		elif selectedEntry == 34:
			url = "http://www.formel1.de/de/42/Rennergebnisse"
			data = urllib.urlopen(url).read()

			startpos = data.find('<div id="result4"')
			endpos = data.find('<div id="result5"')
			bereich = data[startpos:endpos]

			pos = re.findall('<td class="alignCenter bold" style="border: 0;">(.*?)</td>', bereich, re.S)
			racer = re.findall('/driverID/.*?/grid_season/201.">(.*?)&nbsp;&rsaquo;</a></td>', bereich, re.S)
			team = re.findall('/eventSeason/201./teamID/.*?/grid_season/2012">(.*?)&nbsp;&rsaquo;</a></td>', bereich, re.S)
			zeit = re.findall('<td class="time">(.*?)</td>', bereich, re.S)
			rck = re.findall('<td style="font-size: 11px;">(.*?)</td>.*?<td style="font-size: 11px;">', bereich, re.S)
			rdn = re.findall('<td style="font-size: 11px;">.*?<td style="font-size: 11px;">(.*?)</td>', bereich, re.S)

			p = "Pos."
			ra = "Fahrer"
			t = "Team"
			z = "Zeit"
			r = "Rckstand"
			ru = "Runden"
			bt = ""
			self.menulist.append(f1qListEntry(p, ra, t, z, r, ru, bt))

			for i in range(24):
					try:
								#print pos[i], racer[i], team[i], zeit[i], rck[i], rdn[i]
								self.menulist.append(f1qListEntry(pos[i], racer[i].replace('R\xc3\xa4ikk\xc3\xb6nen','Raikkonen').replace('\xc3\xbc','ue'), team[i], zeit[i], rck[i], rdn[i], "0"))
					except IndexError:
								pass

			self["menulist"].l.setItemHeight(20)
 			self["menulist"].l.setList(self.menulist)


########## F1 3. Training ##########
		elif selectedEntry == 35:
			url = "http://www.formel1.de/de/42/Rennergebnisse"
			data = urllib.urlopen(url).read()

			startpos = data.find('<div id="result3"')
			endpos = data.find('<div id="result4"')
			bereich = data[startpos:endpos]

			pos = re.findall('<td class="alignCenter bold" style="border: 0;">(.*?)</td>', bereich, re.S)
			racer = re.findall('/driverID/.*?/grid_season/201.">(.*?)&nbsp;&rsaquo;</a></td>', bereich, re.S)
			team = re.findall('/eventSeason/201./teamID/.*?/grid_season/2012">(.*?)&nbsp;&rsaquo;</a></td>', bereich, re.S)
			zeit = re.findall('<td class="time">(.*?)</td>', bereich, re.S)
			rck = re.findall('<td style="font-size: 11px;">(.*?)</td>.*?<td style="font-size: 11px;">', bereich, re.S)
			rdn = re.findall('<td style="font-size: 11px;">.*?<td style="font-size: 11px;">(.*?)</td>', bereich, re.S)

			p = "Pos."
			ra = "Fahrer"
			t = "Team"
			z = "Zeit"
			r = "Rckstand"
			ru = "Runden"
			bt = ""
			self.menulist.append(f1qListEntry(p, ra, t, z, r, ru, bt))

			for i in range(24):
					try:
								#print pos[i], racer[i], team[i], zeit[i], rck[i], rdn[i]
								self.menulist.append(f1qListEntry(pos[i], racer[i].replace('R\xc3\xa4ikk\xc3\xb6nen','Raikkonen').replace('\xc3\xbc','ue'), team[i], zeit[i], rck[i], rdn[i], "0"))
					except IndexError:
								pass

			self["menulist"].l.setItemHeight(20)
 			self["menulist"].l.setList(self.menulist)


########## F1 2. Training ##########
		elif selectedEntry == 36:
			url = "http://www.formel1.de/de/42/Rennergebnisse"
			data = urllib.urlopen(url).read()

			startpos = data.find('<div id="result2"')
			endpos = data.find('<div id="result3"')
			bereich = data[startpos:endpos]

			pos = re.findall('<td class="alignCenter bold" style="border: 0;">(.*?)</td>', bereich, re.S)
			racer = re.findall('/driverID/.*?/grid_season/201.">(.*?)&nbsp;&rsaquo;</a></td>', bereich, re.S)
			team = re.findall('/eventSeason/201./teamID/.*?/grid_season/2012">(.*?)&nbsp;&rsaquo;</a></td>', bereich, re.S)
			zeit = re.findall('<td class="time">(.*?)</td>', bereich, re.S)
			rck = re.findall('<td style="font-size: 11px;">(.*?)</td>.*?<td style="font-size: 11px;">', bereich, re.S)
			rdn = re.findall('<td style="font-size: 11px;">.*?<td style="font-size: 11px;">(.*?)</td>', bereich, re.S)

			p = "Pos."
			ra = "Fahrer"
			t = "Team"
			z = "Zeit"
			r = "Rckstand"
			ru = "Runden"
			bt = ""
			self.menulist.append(f1qListEntry(p, ra, t, z, r, ru, bt))

			for i in range(24):
					try:
								#print pos[i], racer[i], team[i], zeit[i], rck[i], rdn[i]
								self.menulist.append(f1qListEntry(pos[i], racer[i].replace('R\xc3\xa4ikk\xc3\xb6nen','Raikkonen').replace('\xc3\xbc','ue'), team[i], zeit[i], rck[i], rdn[i], "0"))
					except IndexError:
								pass

			self["menulist"].l.setItemHeight(20)
 			self["menulist"].l.setList(self.menulist)


########## F1 1. Training ##########
		elif selectedEntry == 37:
			url = "http://www.formel1.de/de/42/Rennergebnisse"
			data = urllib.urlopen(url).read()

			startpos = data.find('<div id="result1"')
			endpos = data.find('<div id="result2"')
			bereich = data[startpos:endpos]

			pos = re.findall('<td class="alignCenter bold" style="border: 0;">(.*?)</td>', bereich, re.S)
			racer = re.findall('/driverID/.*?/grid_season/201.">(.*?)&nbsp;&rsaquo;</a></td>', bereich, re.S)
			team = re.findall('/eventSeason/201./teamID/.*?/grid_season/2012">(.*?)&nbsp;&rsaquo;</a></td>', bereich, re.S)
			zeit = re.findall('<td class="time">(.*?)</td>', bereich, re.S)
			rck = re.findall('<td style="font-size: 11px;">(.*?)</td>.*?<td style="font-size: 11px;">', bereich, re.S)
			rdn = re.findall('<td style="font-size: 11px;">.*?<td style="font-size: 11px;">(.*?)</td>', bereich, re.S)

			p = "Pos."
			ra = "Fahrer"
			t = "Team"
			z = "Zeit"
			r = "Rckstand"
			ru = "Runden"
			bt = ""
			self.menulist.append(f1qListEntry(p, ra, t, z, r, ru, bt))

			for i in range(24):
					try:
								#print pos[i], racer[i], team[i], zeit[i], rck[i], rdn[i]
								self.menulist.append(f1qListEntry(pos[i], racer[i].replace('R\xc3\xa4ikk\xc3\xb6nen','Raikkonen').replace('\xc3\xbc','ue'), team[i], zeit[i], rck[i], rdn[i], "0"))
					except IndexError:
								pass

			self["menulist"].l.setItemHeight(20)
 			self["menulist"].l.setList(self.menulist)


########## F1 Fastest Lap ##########
		elif selectedEntry == 38:
			url = "http://www.formel1.de/de/42/Rennergebnisse"
			data = urllib.urlopen(url).read()

			startpos = data.find('<div class="fastestlap"')
			endpos = data.find('<div class="news">')
			bereich = data[startpos:endpos]

			pos = re.findall('<td class="alignCenter bold" style="border: 0;">(.*?)</td>', bereich, re.S)
			racer = re.findall('<td class=.driver.>.*?border=.0. /> (.*?)&nbsp;&rsaquo;</a></td>', bereich, re.S)
			team = re.findall('<td class=.alignLeft.*?/eventSeason/201./teamID/.*?/grid_season/2012">(.*?)&nbsp;&rsaquo;</a></td>', bereich, re.S)
			zeit = re.findall('<td class="time">(.*?)</td>', bereich, re.S)
			rck = re.findall('<td>(.*?)</td>', bereich, re.S)
			rdn = re.findall('<td class=.alignLeft.*?/eventSeason/20([1])[1-9]', bereich, re.S)

			p = "Pos."
			ra = "Fahrer"
			t = "Team"
			z = "Zeit"
			r = "Rckstand"
			ru = "Runden"
			bt = ""
			self.menulist.append(f1qListEntry(p, ra, t, z, r, ru, bt))

			for i in range(24):
					try:
								#print pos[i], racer[i], team[i], zeit[i], rck[i], rdn[i]
								self.menulist.append(f1qListEntry(pos[i], racer[i].replace('R\xc3\xa4ikk\xc3\xb6nen','Raikkonen').replace('\xc3\xbc','ue'), team[i], zeit[i], rck[i], rdn[i], "0"))
					except IndexError:
								pass

			self["menulist"].l.setItemHeight(20)
 			self["menulist"].l.setList(self.menulist)


########## F1 Team Statistik ##########
		elif selectedEntry == 39:
			url = "http://www.formel1.de/de/48/Teams+%26+Fahrer"
			data = urllib.urlopen(url).read()

			startpos = data.find('<h1 class="invisible">Teams und Fahrer</h1>')
			endpos = data.find('<h4>Kalender & Poster vom Weltmeister</h4>')
			bereich = data[startpos:endpos]

			team = re.findall('<h2><a href=.#. name=.team.*?class=.showmorepic.>(.*?)</a></h2>', bereich, re.S)
			car = re.findall('<h2><a href=.#. name=.team.*?<tr><th>Bezeichnung</th><td>(.*?)</td></tr>', bereich, re.S)
			motor = re.findall('<h2><a href=.#. name=.team.*?<tr><th>Motor</th><td>(.*?)</td></tr>', bereich, re.S)
			teamchef = re.findall('<h2><a href=.#. name=.team.*?<tr><th>Teamchef</th><td>(.*?)</td></tr>', bereich, re.S)
			driver = re.findall('<h2><a href=.#. name=.team([0-9]).*?<a href=.*?/.*?/grid_season/2012">([A-Z].*?)&nbsp;&rsaquo;</a>.*?<a href=.*?/.*?/grid_season/2012">([A-Z].*?)&nbsp;&rsaquo;</a>', bereich, re.S)
			stats = re.findall('<h2><a href=.#. name=.team([0-9]).*?<th>Grandprix-Starts</th><td>(.*?)</td></tr>.*?<th>Erstes&nbsp;Rennen</th><td>(.*?)</td></tr>', bereich, re.S)

			t1 = "Teamchef:"
			t2 = "Fahrer:"
			t3 = "Erster GP:"
			t4 = "GP Starts:"

			for i in range(12):
					try:
								#print team[i], car[i], motor[i], teamchef[i], driver[i][1], driver[i][2], stats[i][2], stats[i][1], ''.join(t1), ''.join(t2), ''.join(t3), ''.join(t4)
								self.menulist.append(f1teamListEntry(team[i], car[i], motor[i], teamchef[i], driver[i][1], driver[i][2], stats[i][2], stats[i][1], ''.join(t1), ''.join(t2), ''.join(t3), ''.join(t4)))
					except IndexError:
								pass

			self["menulist"].l.setFont(14, gFont("Regular", 14))
			self["menulist"].l.setItemHeight(83)
 			self["menulist"].l.setList(self.menulist)


########## F1 Fahrer Statistik ##########
		elif selectedEntry == 40:
			url = "http://www.formel1.de/de/352/Ticker+PopUp"
			data = urllib.urlopen(url).read()

			startpos = data.find('<table id="liveranking" class="f1data positions liveranking ui-tabs-hide" cellspacing="0">')
			endpos = data.find('<p class="copyright">&copy;')
			bereich = data[startpos:endpos]

			driverID = re.findall('<td><img src=.*?/driverID/(.*?)/gridSeason/', bereich)

			t1 = "Alter:"
			t2 = "Wohnort:"
			t3 = "Groesse:"
			t4 = "Gewicht:"

			t5 = "Team:"

			t6 = "WM-Titel:"
			t7 = "GP Starts:"
			t8 = "GP Siege:"
			t9 = "Podium:"

			t10 = "Poles:"
			t11 = "Fast Laps:"
			t12 = "Ausfaelle:"
			t13 = "Punkte:"

			def driverdata(data):
						startpos = data.find('<div class="teamoverview">')
						endpos = data.find('<h4>Kalender & Poster vom Weltmeister</h4>')
						bereich = data[startpos:endpos]

						for i in range(1):
									driver = re.findall('<h2>(.*?)</h2>', bereich)
									team = re.findall('<a href=./de/48/Teams..26.Fahrer/grid_season/201./teamID/.*?>([A-Z].*?)&nbsp;&rsaquo;</a>', bereich)
									flag = re.findall('<tr><th>Nationalit.*?<td class=.countryflag.><img src=./public/img/history/flags/(.*?).[a-z][a-z][a-z].>', bereich)

						alter = re.findall('<tr><th>Alter</th><td>.*?([0-9].*?)</td></tr>', bereich, re.S)
						wohnort = re.findall('<tr><th>Wohnort</th><td>(.*?) [(].*?</td></tr>', bereich)
						groesse = re.findall('<tr style=.*?<th>Gr&ouml;&szlig;e</th><td>(.*?)</td></tr>', bereich)
						gewicht = re.findall('<tr ><th>Gewicht</th><td>(.*?)</td></tr>', bereich)

						titel = re.findall('<tr.*?><th>WM-Titel</th><td>(.*?)</td></tr>', bereich)
						starts = re.findall('<tr.*?><th>Grandprix-Starts</th><td>(.*?)</td></tr>', bereich)
						siege = re.findall('<tr.*?><th>Grandprix-Siege</th><td>(.*?)</td></tr>', bereich)
						podium = re.findall('<tr.*?><th>Podiumspl&auml;tze</th><td>(.*?)</td></tr>', bereich)
						poles = re.findall('<tr.*?><th>Pole-Positions</th><td>(.*?)</td></tr>', bereich)
						fastlaps = re.findall('<tr.*?><th>Schnellste Rennrunde</th><td>(.*?)</td></tr>', bereich)
						outs = re.findall('<tr.*?><th>Ausf&auml;lle</th><td>(.*?)</td></tr>', bereich)
						points = re.findall('<tr.*?><th>Gesammelte Punkte</th><td>(.*?)</td></tr>', bereich)

						try:
									#print t1, t2, t3, t4, t5, t6, t7, t8, t9, t10, t11, t12, t13, flag[i], driver[i], team[i], alter, wohnort, groesse, gewicht, titel, starts, siege, podium, poles, fastlaps, outs, points
									self.menulist.append(f1driverListEntry(t1, t2, t3, t4, t5, t6, t7, t8, t9, t10, t11, t12, t13, flag[i], driver[i].replace('Kimi Räikkönen','Kimi Raikkonen').replace('Nico Hülkenberg','Nico Huelkenberg'), team[i], ''.join(alter), ''.join(wohnort), ''.join(groesse), ''.join(gewicht), ''.join(titel), ''.join(starts), ''.join(siege), ''.join(podium), ''.join(poles), ''.join(fastlaps), ''.join(outs), ''.join(points)))
						except IndexError:
									pass

						self["menulist"].l.setFont(14, gFont("Regular", 14))
						self["menulist"].l.setItemHeight(83)
						self["menulist"].l.setList(self.menulist)

			def errordata(error):
						print error

			def getdata(url):
						client.getPage(url).addCallback(driverdata).addErrback(errordata)

			for i in range(24):
						url = "http://www.formel1.de/de/48/Teams+%26+Fahrer/driverID/" + ''.join(driverID[i]) + "/grid_season/2012"
						getdata(url)


########## F1 ##########
#		elif selectedEntry == 41:


#############################
### DTM, MOTO GP, ATP/WTA ###
#############################

########## DTM Tracks ##########
		elif selectedEntry == 42:
			url = "http://www.dtm.com/de/Rennen/DTM-Termine-2012/kalender.html"
			data = urllib.urlopen(url).read()

			startpos = data.find('<a href="/de/Rennen/DTM-Termine-2012/kalender.html"')
			endpos = data.find('<h2>Wichtige Links</h2>')
			bereich = data[startpos:endpos]

			daten = re.findall('</tr><tr>.*?<td class="dr">(.*?)</td>.*?<td><img src=.*?/.*?/.*?/(.*?).gif.*?style=.*?/></td>.*?<td class="dr"><a href=.*?>(.*?)</a></td>.*?<td>(.*?) km</td>.*?<td>(.*?)<.*?></td>.*?<td><img src=.*?/.*?/.*?/(.*?).png" /></td>', bereich, re.S)
			#print daten

			idx = 0
			for x in daten:
				idx += 1

			number = " "	
			x = 0

			for i in range(idx):
				try:
							x = x + 1
							number = x
							self.menulist.append(dtmtrackListEntry(number, daten[i][1], daten[i][0], daten[i][2].replace('\xc3\xb6','oe').replace('\xc3\xbc','ue').replace('\xc3\xa4','ae'), " ", " ", daten[i][5], daten[i][3], daten[i][4], " "))
				except IndexError:
							pass

			self["menulist"].l.setFont(14, gFont("Regular", 14))
			self["menulist"].l.setItemHeight(40)
			self["menulist"].l.setList(self.menulist)


########## DTM WM-Team ##########
		elif selectedEntry == 43:
			url = "http://www.dtm.com/de/Rennen/Tabellen.html"
			data = urllib.urlopen(url).read()

			startpos = data.find('<h2>Teamwertung</h2>')
			endpos = data.find('<h2>Herstellerwertung</h2>')
			bereich = data[startpos:endpos]

			team = re.findall('<tr><td align="center" class="nr">(.*?)</td><td><a href=.*?>(.*?)</a><br /><a href=.*?><small>(.*?)</small></a> / <a href=.*?><small>(.*?)</small></a></td><td align="center"><a href=.*?><img src=.*?/.*?/.*?/(.*?)_s.png.*?/></a></td><td align="center">(.*?)</td><td align="center">.*?</td><td align="center">.*?</td><td align="center">.*?</td><td align="center">.*?</td><td align="center">.*?</td><td align="center">.*?</td><td align="center">.*?</td><td align="center">.*?</td><td align="center">.*?</td><td align="center">.*?</td></tr>', bereich, re.S)
 			pkt = re.findall('<tr><td align="center" class="nr">.*?</td><td><a href=.*?>.*?</a><br /><a href=.*?><small>.*?</small></a> / <a href=.*?><small>.*?</small></a></td><td align="center"><a href=.*?><img src=.*? /></a></td><td align="center">.*?</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td></tr>', bereich, re.S)

			pos = 0
			po = "Pos."
			rc = "Team"
			pt = "Pkt."
			d1 = ""
			d2 = ""
			gb = ""
			at = ""
			d3 = ""
			d4 = ""
			d5 = ""
			d6 = ""
			nl = ""
			es = ""
			bt = ""
			mx = "F"
			self.menulist.append(dtmListEntry(po, rc, pt, d1, d2, gb, at, d3, d4, d5, d6, nl, es, bt, mx))

			idx = 0
			for x in team:
				idx += 1

			for i in range(idx):
					try:
							self.menulist.append(dtmListEntry(team[i][0], team[i][1].replace('\xc3\xb6','oe').replace('\xc3\xbc','ue').replace('THOMAS SABO ','').replace('/ ',''), team[i][5], pkt[i][0], pkt[i][1], pkt[i][2], pkt[i][3], pkt[i][4], pkt[i][5], pkt[i][6], pkt[i][7], pkt[i][8], pkt[i][9], "0", "2"))
							self.menulist.append(dtmListEntry( " ", team[i][2].replace('\xc3\xb6','oe').replace('\xc3\xbc','ue'), "", "", "", "", "", "", "", "", "", "", "", "x", " "))
							self.menulist.append(dtmListEntry( " ", team[i][3].replace('\xc3\xb6','oe').replace('\xc3\xbc','ue'), "", "", "", "", "", "", "", "", "", "", "", "x", " "))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(20)
			self["menulist"].l.setList(self.menulist)


########## DTM WM-Fahrer ##########
		elif selectedEntry == 44:
			url = "http://www.dtm.com/de/Rennen/Tabellen.html"
			data = urllib.urlopen(url).read()

			startpos = data.find('<h2>Fahrerwertung</h2>')
			endpos = data.find('<h2>Teamwertung</h2>')
			bereich = data[startpos:endpos]

			racer = re.findall('<td align="center" class="nr">(.*?)</td><td><a href=.*?>(.*?)</a></td><td><a href=.*?>(.*?)</a></td><td align="center">(.*?)</td><td ', bereich, re.S)
			pkt = re.findall('<td align="center" class="nr">.*?</td><td><a href=.*?>.*?</a></td><td><a href=.*?>.*?</a></td><td align="center">.*?</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td></tr>', bereich, re.S)

			pos = 0
			po = "Pos."
			rc = "Team"
			pt = "Pkt."
			d1 = ""
			d2 = ""
			gb = ""
			at = ""
			d3 = ""
			d4 = ""
			d5 = ""
			d6 = ""
			nl = ""
			es = ""
			bt = ""
			mx = "F"
			self.menulist.append(dtmListEntry(po, rc, pt, d1, d2, gb, at, d3, d4, d5, d6, nl, es, bt, mx))

			idx = 0
			for x in racer:
				idx += 1

			for i in range(idx):
					try:
							self.menulist.append(dtmListEntry(racer[i][0], racer[i][1].replace('\xc3\xb6','oe').replace('\xc3\xbc','ue'), racer[i][3], pkt[i][0], pkt[i][1], pkt[i][2], pkt[i][3], pkt[i][4], pkt[i][5], pkt[i][6], pkt[i][7], pkt[i][8], pkt[i][9], "0", "1"))
							self.menulist.append(dtmListEntry( " ", racer[i][2].replace('\xc3\xb6','oe').replace('\xc3\xbc','ue'), "", "", "", "", "", "", "", "", "", "", "", "x", " "))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(20)
			self["menulist"].l.setList(self.menulist)


########## DTM Hersteller ##########
		elif selectedEntry == 45:
			url = "http://www.dtm.com/de/Rennen/Tabellen.html"
			data = urllib.urlopen(url).read()

			startpos = data.find('<h2>Herstellerwertung</h2>')
			endpos = data.find('h2>Wichtige Links</h2>')
			bereich = data[startpos:endpos]

			werk = re.findall('<tr><td align="center" class="nr">(.*?)</td><td>(.*?)</td><td><a href=.*?><img src=.*?/.*?/.*?/(.*?)_s.png.*?/></a></td><td align="center">(.*?)</td><td', bereich, re.S)
			pkt = re.findall('<tr><td align="center" class="nr">.*?</td><td>.*?</td><td><a href=.*?><img src=.*? alt=.*?/></a></td><td align="center">.*?</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center">(.*?)</td><td align="center"></td></tr>', bereich, re.S)

			pos = 0
			po = "Pos."
			rc = "Team"
			pt = "Pkt."
			d1 = ""
			d2 = ""
			gb = ""
			at = ""
			d3 = ""
			d4 = ""
			d5 = ""
			d6 = ""
			nl = ""
			es = ""
			bt = ""
			mx = "F"
			self.menulist.append(dtmListEntry(po, rc, pt, d1, d2, gb, at, d3, d4, d5, d6, nl, es, bt, mx))

			idx = 0
			for x in werk:
				idx += 1

			for i in range(idx):
					try:
							self.menulist.append(dtmListEntry(werk[i][0], werk[i][1].replace('\xc3\xb6','oe').replace('\xc3\xbc','ue'), werk[i][3], pkt[i][0], pkt[i][1], pkt[i][2], pkt[i][3], pkt[i][4], pkt[i][5], pkt[i][6], pkt[i][7], pkt[i][8], pkt[i][9], "0", '3'))
					except IndexError:
							pass

			self["menulist"].l.setItemHeight(22)
			self["menulist"].l.setList(self.menulist)


########## MotoGP WM-Team ########## 
		elif selectedEntry == 46:
			url = "http://www.motorsport-magazin.com/motogp/gesamtwertung-2012.html"
			data = urllib.urlopen(url).read()

			startpos = data.find('<div class="msm_leiste"><div class="msm_leiste_content">Teamwertung')
			endpos = data.find('<div class="msm_content_end"></div>')
			bereich = data[startpos:endpos]

			pos = re.findall('<td class="td_col1 td_start tbcenter">([0-9]+)</td>', bereich)
			driver = re.findall('<td class="td_col2"><a href="/moto.*?html" class="bold">(.*?)</a></td>', bereich)
			punkte = re.findall('<td class="td_col1 tbcenter">([0-9].*?)</td>', bereich)
			points = re.findall('<td class="td_col2 tbcenter">.*?([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?<td colspan="2">&nbsp;</td>', bereich, re.S)

			po = "Pos."
			d = "Fahrer"
			p = "Pkt."
			qa = ""			
			es = ""			
			pt = ""			
			fr = ""			
			es2 = ""			
			uk = ""			
			nl = ""			
			de = ""			
			it = ""			
			us = ""			
			us2 = ""			
			cz = ""			
			it2 = ""			
			es3 = ""			
			jp = ""			
			my = ""			
			au = ""			
			es4 = ""			
			bt = ""
			self.menulist.append(MotoListEntry(po, d, p, qa, es, pt, fr, es2, uk, nl, de, it, us, us2, cz, it2, es3, jp, my, au, es4, bt))

			for i in range(10):
						try:
									(qa, es, pt, fr, es2, uk, nl, de, it, us, us2, cz, it2, es3, jp, my, au, es4) = points[i]
									#print pos[i], driver[i], punkte[i], qa, es, pt, fr, es2, uk, nl, de, it, us, us2, cz, it2, es3, jp, my, au, es4
									self.menulist.append(MotoListEntry(pos[i], driver[i], punkte[i], qa.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), es.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), pt.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), fr.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), es2.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), uk.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), nl.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), de.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), it.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), us.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), us2.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), cz.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), it2.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), es3.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), jp.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), my.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), au.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), es4.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), "0"))
						except IndexError:
									pass

			self["menulist"].l.setItemHeight(21)
			self["menulist"].l.setList(self.menulist)


########## MotoGP WM-Fahrer ##########
		elif selectedEntry == 47:
			url = "http://www.motorsport-magazin.com/motogp/gesamtwertung-2012.html"
			data = urllib.urlopen(url).read()

			startpos = data.find('<div class="msm_leiste"><div class="msm_leiste_content">Fahrerwertung')
			endpos = data.find('<div class="msm_leiste"><div class="msm_leiste_content">Konstrukteurswertung')
			bereich = data[startpos:endpos]

			pos = re.findall('<td class="td_col1 td_start tbcenter">([0-9]+)</td>', bereich)
			driver = re.findall('<td class="td_col2"><a href="/moto.*?html" class="bold">(.*?)</a></td>', bereich)
			punkte = re.findall('<td class="td_col1 tbcenter">([0-9].*?)</td>', bereich)
			points = re.findall('<td class="td_col2 tbcenter">.*?([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?\r\n ([0-9]+|&|-|DNF|DIS).*?<td colspan="2">&nbsp;</td>', bereich, re.S)

			po = "Pos."
			d = "Fahrer"
			p = "Pkt."
			qa = ""			
			es = ""			
			pt = ""			
			fr = ""			
			es2 = ""			
			uk = ""			
			nl = ""			
			de = ""			
			it = ""			
			us = ""			
			us2 = ""			
			cz = ""			
			it2 = ""			
			es3 = ""			
			jp = ""			
			my = ""			
			au = ""			
			es4 = ""			
			bt = ""
			self.menulist.append(MotoListEntry(po, d, p, qa, es, pt, fr, es2, uk, nl, de, it, us, us2, cz, it2, es3, jp, my, au, es4, bt))

			for i in range(15):
						try:
									(qa, es, pt, fr, es2, uk, nl, de, it, us, us2, cz, it2, es3, jp, my, au, es4) = points[i]
									#print pos[i], driver[i], punkte[i], qa, es, pt, fr, es2, uk, nl, de, it, us, us2, cz, it2, es3, jp, my, au, es4
									self.menulist.append(MotoListEntry(pos[i], driver[i], punkte[i], qa.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), es.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), pt.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), fr.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), es2.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), uk.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), nl.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), de.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), it.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), us.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), us2.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), cz.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), it2.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), es3.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), jp.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), my.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), au.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), es4.replace('&','--').replace('DNF','dnf').replace('DIS','dis'), "0"))
						except IndexError:
									pass

			self["menulist"].l.setItemHeight(21)
			self["menulist"].l.setList(self.menulist)


########## Tennis ATP (T) ##########
		elif selectedEntry == 48:
			url = "http://www.kicker.de/news/tennis/ranglisten/2012/tennis_weltrangliste.html"
			data = urllib.urlopen(url).read()

			startpos = data.find('<div id="tennisweltrangliste_maincont">')
			endpos = data.find('<td class="alignright first">...</td>')
			bereich = data[startpos:endpos]

			rang = re.findall('<td class=.alignright first.>([0-9].*?)</td>', bereich)
			flag = re.findall('<td><img class=.land. src="http.//mediadb.kicker.de/default/nationen/s/([0-9].*?).gif', bereich)
			name = re.findall('<td><a href=.*?class=.link.>([A-Z].*?)</a>', bereich)
			tendenz = re.findall('<td class=.alignright.>(.*?)</td>.*?<td class=.alignright.>(.*?)</td>', bereich, re.S)
			punkte = re.findall('<td class=.alignright last.>([0-9].*?)</td>', bereich)

			rag = "Rang"
			nat = "Nation"
			nam = "Name"
			td1 = "+/- Rang"
			td2 = "+/- Punkte"
			pkt = "Punkte"
			but = ""			
			self.menulist.append(ATPTabListEntry(rag, nat, nam, td1, td2, pkt, but))

			idx = 0
			for x in rang:
				idx += 1

			for i in range(idx):
						try:
									#print rang[i], flag[i], name[i], tendenz[i][1], tendenz[i][0], punkte[i] 
									self.menulist.append(ATPTabListEntry(rang[i], flag[i], name[i], tendenz[i][1], tendenz[i][0], punkte[i], "0"))
						except IndexError:
									pass

			self["menulist"].l.setItemHeight(20)
			self["menulist"].l.setList(self.menulist)


########## Tennis WTA (T) ##########
		elif selectedEntry == 49:
			url = "http://www.kicker.de/news/tennis/ranglisten/2012/52/2/tennis_weltrangliste.html"
			data = urllib.urlopen(url).read()

			startpos = data.find('<div id="tennisweltrangliste_maincont">')
			endpos = data.find('<td class="alignright first">...</td>')
			bereich = data[startpos:endpos]

			rang = re.findall('<td class=.alignright first.>([0-9].*?)</td>', bereich)
			flag = re.findall('<td><img class=.land. src="http.//mediadb.kicker.de/default/nationen/s/([0-9].*?).gif', bereich)
			name = re.findall('<td><a href=.*?class=.link.>([A-Z].*?)</a>', bereich)
			tendenz = re.findall('<td class=.alignright.>(.*?)</td>.*?<td class=.alignright.>(.*?)</td>', bereich, re.S)
			punkte = re.findall('<td class=.alignright last.>([0-9].*?)</td>', bereich)

			rag = "Rang"
			nat = "Nation"
			nam = "Name"
			td1 = "+/- Rang"
			td2 = "+/- Punkte"
			pkt = "Punkte"
			but = ""			
			self.menulist.append(ATPTabListEntry(rag, nat, nam, td1, td2, pkt, but))

			idx = 0
			for x in rang:
				idx += 1

			for i in range(idx):
						try:
									#print rang[i], flag[i], name[i], tendenz[i][1], tendenz[i][0], punkte[i] 
									self.menulist.append(ATPTabListEntry(rang[i], flag[i], name[i], tendenz[i][1], tendenz[i][0], punkte[i], "0"))
						except IndexError:
									pass

			self["menulist"].l.setItemHeight(20)
			self["menulist"].l.setList(self.menulist)


####################


	def up(self):
		self[self.currentList].up()
		self.updateTimer.stop()

	def down(self):
		self[self.currentList].down()	
		self.updateTimer.stop()

	def left(self):
		self[self.currentList].pageUp()
		self.updateTimer.stop()

	def right(self):
		self[self.currentList].pageDown()
		self.updateTimer.stop()

	def ok(self):
		selectedEntry = self["menu"].getSelectedIndex()
		print selectedEntry
		self.settings(selectedEntry)

def main(session, **kwargs):
	session.open(BuLiScreen)

def Plugins(**kwargs):
	return [
		PluginDescriptor(name="Sport Portal", description="Formel 1, Bundesliga",where = [PluginDescriptor.WHERE_PLUGINMENU], icon = "plugin.png", fnc=main),
		PluginDescriptor(name="Sport Portal", description="Formel 1, Bundesliga", where = [PluginDescriptor.WHERE_EXTENSIONSMENU], fnc=main)
		]
